-- MySQL dump 10.11
--
-- Host: localhost    Database: centreon
-- ------------------------------------------------------
-- Server version	5.0.45

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
CREATE TABLE `actions` (
  `actionname` varchar(32) NOT NULL,
  `actiondescr` varchar(64) default NULL,
  `defaultaccess` enum('TRUE','FALSE') default NULL,
  PRIMARY KEY  (`actionname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `actions`
--

LOCK TABLES `actions` WRITE;
/*!40000 ALTER TABLE `actions` DISABLE KEYS */;
INSERT INTO `actions` VALUES ('add_user','Add users','TRUE'),('edit_user','Edit users (delete and change password)','TRUE'),('reload_cache','Reload search cache','TRUE'),('edit_acl','Edit access control settings','TRUE');
/*!40000 ALTER TABLE `actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cemdb`
--

DROP TABLE IF EXISTS `cemdb`;
CREATE TABLE `cemdb` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `message` text,
  `explanation` text,
  `action` text,
  `datetime` datetime default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Cisco Error Message Database';

--
-- Dumping data for table `cemdb`
--

LOCK TABLES `cemdb` WRITE;
/*!40000 ALTER TABLE `cemdb` DISABLE KEYS */;
/*!40000 ALTER TABLE `cemdb` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_cgi`
--

DROP TABLE IF EXISTS `cfg_cgi`;
CREATE TABLE `cfg_cgi` (
  `cgi_id` int(11) NOT NULL auto_increment,
  `cgi_name` varchar(255) default NULL,
  `main_config_file` varchar(255) default NULL,
  `physical_html_path` varchar(255) default NULL,
  `url_html_path` varchar(255) default NULL,
  `nagios_check_command` varchar(255) default NULL,
  `use_authentication` enum('0','1') default NULL,
  `default_user_name` varchar(255) default NULL,
  `authorized_for_system_information` text,
  `authorized_for_system_commands` text,
  `authorized_for_configuration_information` text,
  `authorized_for_all_hosts` text,
  `authorized_for_all_host_commands` text,
  `authorized_for_all_services` text,
  `authorized_for_all_service_commands` text,
  `statusmap_background_image` varchar(255) default NULL,
  `default_statusmap_layout` enum('0','1','2','3','4','5','6') default '2',
  `statuswrl_include` varchar(255) default NULL,
  `default_statuswrl_layout` enum('0','1','2','3','4') default '2',
  `refresh_rate` int(11) default NULL,
  `host_unreachable_sound` varchar(255) default NULL,
  `host_down_sound` varchar(255) default NULL,
  `service_critical_sound` varchar(255) default NULL,
  `service_warning_sound` varchar(255) default NULL,
  `service_unknown_sound` varchar(255) default NULL,
  `ping_syntax` text,
  `cgi_comment` text,
  `cgi_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`cgi_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cfg_cgi`
--

LOCK TABLES `cfg_cgi` WRITE;
/*!40000 ALTER TABLE `cfg_cgi` DISABLE KEYS */;
INSERT INTO `cfg_cgi` VALUES (10,'CGI.cfg','/etc/nagios/nagios.cfg','/usr/share/nagios','/nagios','/usr/lib/nagios/plugins/check_nagios /var/log/nagios/status.log 5 &#039;/usr/bin/nagios&#039;','1','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','nagiosadmin','logofullsize.jpg','4',NULL,'4',90,NULL,NULL,NULL,NULL,NULL,'/bin/ping -n -c 5 $HOSTADDRESS$','Install Nagios TGZ','1');
/*!40000 ALTER TABLE `cfg_cgi` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_nagios`
--

DROP TABLE IF EXISTS `cfg_nagios`;
CREATE TABLE `cfg_nagios` (
  `nagios_id` int(11) NOT NULL auto_increment,
  `nagios_name` varchar(255) default NULL,
  `log_file` varchar(255) default NULL,
  `cfg_dir` varchar(255) default NULL,
  `object_cache_file` varchar(255) default NULL,
  `temp_file` varchar(255) default NULL,
  `status_file` varchar(255) default NULL,
  `p1_file` varchar(255) default NULL,
  `aggregate_status_updates` enum('0','1','2') default '1',
  `status_update_interval` int(11) default NULL,
  `nagios_user` varchar(255) default NULL,
  `nagios_group` varchar(255) default NULL,
  `enable_notifications` enum('0','1','2') default NULL,
  `execute_service_checks` enum('0','1','2') default NULL,
  `accept_passive_service_checks` enum('0','1','2') default NULL,
  `execute_host_checks` enum('0','1','2') default NULL,
  `accept_passive_host_checks` enum('0','1','2') default NULL,
  `enable_event_handlers` enum('0','1','2') default NULL,
  `log_rotation_method` varchar(255) default NULL,
  `log_archive_path` varchar(255) default NULL,
  `check_external_commands` enum('0','1','2') default NULL,
  `command_check_interval` varchar(255) default NULL,
  `command_file` varchar(255) default NULL,
  `downtime_file` varchar(255) default NULL,
  `comment_file` varchar(255) default NULL,
  `lock_file` varchar(255) default NULL,
  `retain_state_information` enum('0','1','2') default NULL,
  `state_retention_file` varchar(255) default NULL,
  `retention_update_interval` int(11) default NULL,
  `use_retained_program_state` enum('0','1','2') default NULL,
  `use_retained_scheduling_info` enum('0','1','2') default NULL,
  `use_syslog` enum('0','1','2') default NULL,
  `log_notifications` enum('0','1','2') default NULL,
  `log_service_retries` enum('0','1','2') default NULL,
  `log_host_retries` enum('0','1','2') default NULL,
  `log_event_handlers` enum('0','1','2') default NULL,
  `log_initial_states` enum('0','1','2') default NULL,
  `log_external_commands` enum('0','1','2') default NULL,
  `log_passive_service_checks` enum('0','1','2') default NULL,
  `log_passive_checks` enum('0','1','2') default NULL,
  `global_host_event_handler` int(11) default NULL,
  `global_service_event_handler` int(11) default NULL,
  `sleep_time` varchar(10) default NULL,
  `inter_check_delay_method` varchar(255) default NULL,
  `service_inter_check_delay_method` varchar(255) default NULL,
  `host_inter_check_delay_method` varchar(255) default NULL,
  `service_interleave_factor` varchar(255) default NULL,
  `max_concurrent_checks` int(11) default NULL,
  `max_service_check_spread` int(11) default NULL,
  `max_host_check_spread` int(11) default NULL,
  `service_reaper_frequency` int(11) default NULL,
  `interval_length` int(11) default NULL,
  `auto_reschedule_checks` enum('0','1','2') default NULL,
  `auto_rescheduling_interval` int(11) default NULL,
  `auto_rescheduling_window` int(11) default NULL,
  `use_agressive_host_checking` enum('0','1','2') default '0',
  `enable_flap_detection` enum('0','1','2') default NULL,
  `low_service_flap_threshold` varchar(255) default NULL,
  `high_service_flap_threshold` varchar(255) default NULL,
  `low_host_flap_threshold` varchar(255) default NULL,
  `high_host_flap_threshold` varchar(255) default NULL,
  `soft_state_dependencies` enum('0','1','2') default NULL,
  `service_check_timeout` int(11) default NULL,
  `host_check_timeout` int(11) default NULL,
  `event_handler_timeout` int(11) default NULL,
  `notification_timeout` int(11) default NULL,
  `ocsp_timeout` int(11) default NULL,
  `ochp_timeout` int(11) default NULL,
  `perfdata_timeout` int(11) default NULL,
  `obsess_over_services` enum('0','1','2') default NULL,
  `ocsp_command` int(11) default NULL,
  `obsess_over_hosts` enum('0','1','2') default NULL,
  `ochp_command` int(11) default NULL,
  `process_performance_data` enum('0','1','2') default NULL,
  `host_perfdata_command` int(11) default NULL,
  `service_perfdata_command` int(11) default NULL,
  `host_perfdata_file` varchar(255) default NULL,
  `service_perfdata_file` varchar(255) default NULL,
  `host_perfdata_file_template` text,
  `service_perfdata_file_template` text,
  `host_perfdata_file_mode` enum('a','w','2') default NULL,
  `service_perfdata_file_mode` enum('a','w','2') default NULL,
  `host_perfdata_file_processing_interval` int(11) default NULL,
  `service_perfdata_file_processing_interval` int(11) default NULL,
  `host_perfdata_file_processing_command` int(11) default NULL,
  `service_perfdata_file_processing_command` int(11) default NULL,
  `check_for_orphaned_services` enum('0','1','2') default NULL,
  `check_service_freshness` enum('0','1','2') default NULL,
  `service_freshness_check_interval` int(11) default NULL,
  `freshness_check_interval` int(11) default NULL,
  `check_host_freshness` enum('0','1','2') default NULL,
  `host_freshness_check_interval` int(11) default NULL,
  `date_format` varchar(255) default NULL,
  `illegal_object_name_chars` varchar(255) default NULL,
  `illegal_macro_output_chars` varchar(255) default NULL,
  `use_regexp_matching` enum('0','1','2') default NULL,
  `use_true_regexp_matching` enum('0','1','2') default NULL,
  `admin_email` varchar(255) default NULL,
  `admin_pager` varchar(255) default NULL,
  `nagios_comment` text,
  `nagios_activate` enum('0','1') default NULL,
  `broker_module` varchar(255) default NULL,
  `event_broker_options` varchar(255) default NULL,
  PRIMARY KEY  (`nagios_id`),
  KEY `cmd1_index` (`global_host_event_handler`),
  KEY `cmd2_index` (`global_service_event_handler`),
  KEY `cmd3_index` (`ocsp_command`),
  KEY `cmd4_index` (`ochp_command`),
  KEY `cmd5_index` (`host_perfdata_command`),
  KEY `cmd6_index` (`service_perfdata_command`),
  KEY `cmd7_index` (`host_perfdata_file_processing_command`),
  KEY `cmd8_index` (`service_perfdata_file_processing_command`),
  CONSTRAINT `cfg_nagios_ibfk_1` FOREIGN KEY (`global_host_event_handler`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_2` FOREIGN KEY (`global_service_event_handler`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_3` FOREIGN KEY (`ocsp_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_4` FOREIGN KEY (`ochp_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_5` FOREIGN KEY (`host_perfdata_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_6` FOREIGN KEY (`service_perfdata_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_7` FOREIGN KEY (`service_perfdata_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_8` FOREIGN KEY (`host_perfdata_file_processing_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `cfg_nagios_ibfk_9` FOREIGN KEY (`service_perfdata_file_processing_command`) REFERENCES `command` (`command_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cfg_nagios`
--

LOCK TABLES `cfg_nagios` WRITE;
/*!40000 ALTER TABLE `cfg_nagios` DISABLE KEYS */;
INSERT INTO `cfg_nagios` VALUES (1,'Nagios CFG 1','/var/log/nagios/nagios.log','/etc/nagios/',NULL,'/var/log/nagios/nagios.tmp','/var/log/nagios/status.dat',NULL,'1',15,'nagios','nagios','1','1','1','2','2','1','d','/var/log/nagios/archives/','1','1s','/var/log/nagios/rw/nagios.cmd','/var/log/nagios/downtime.log','/var/log/nagios/comment.log','/var/log/nagios/nagios.pid','1','/var/log/nagios/status.sav',60,'1','2','0','1','1','1','1','1','1','2','2',NULL,NULL,'1',NULL,NULL,NULL,'s',20,NULL,NULL,10,60,'2',NULL,NULL,'0','0','25.0','50.0','25.0','50.0','0',60,60,60,60,1,NULL,5,'0',NULL,'2',NULL,'1',NULL,42,NULL,'/var/log/nagios/service-perfdata',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'1','1',60,NULL,'0',60,'euro','~!$%^&amp;*&quot;|&#039;&lt;&gt;?,()=','`~$^&amp;&quot;|&#039;&lt;&gt;','2','2','admin','admin@localhost','Default Nagios.cfg Generated by Oreon Auto Setup','1','/usr/lib/nagios/ndomod.o config_file=/etc/nagios/ndomod.cfg','4061953');
/*!40000 ALTER TABLE `cfg_nagios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_perfparse`
--

DROP TABLE IF EXISTS `cfg_perfparse`;
CREATE TABLE `cfg_perfparse` (
  `perfparse_id` int(11) NOT NULL auto_increment,
  `perfparse_name` varchar(255) default NULL,
  `Server_Port` int(11) default NULL,
  `Service_Log` varchar(255) default NULL,
  `Service_Log_Position_Mark_Path` varchar(255) default NULL,
  `Error_Log` varchar(255) default NULL,
  `Error_Log_Rotate` enum('0','1') default '1',
  `Error_Log_Keep_N_Days` int(11) default NULL,
  `Drop_File` varchar(255) default NULL,
  `Drop_File_Rotate` enum('0','1') default '1',
  `Drop_File_Keep_N_Days` int(11) default NULL,
  `Lock_File` varchar(255) default NULL,
  `Show_Status_Bar` enum('0','1') default '1',
  `Do_Report` enum('0','1') default '1',
  `Default_user_permissions_Policy` enum('1','2','3') default '1',
  `Default_user_permissions_Host_groups` enum('1','2','3') default '1',
  `Default_user_permissions_Summary` enum('1','2','3') default '1',
  `Output_Log_File` enum('0','1') default '1',
  `Output_Log_Filename` varchar(255) default NULL,
  `Output_Log_Rotate` enum('0','1') default '1',
  `Output_Log_Keep_N_Days` int(11) default NULL,
  `Use_Storage_Socket_Output` enum('0','1') default '1',
  `Storage_Socket_Output_Host_Name` varchar(255) default NULL,
  `Storage_Socket_Output_Port` int(11) default NULL,
  `Use_Storage_Mysql` enum('0','1') default '1',
  `No_Raw_Data` enum('0','1') default '1',
  `No_Bin_Data` enum('0','1') default '1',
  `DB_User` varchar(255) default NULL,
  `DB_Pass` varchar(255) default NULL,
  `DB_Name` varchar(255) default NULL,
  `DB_Host` varchar(255) default NULL,
  `Dummy_Hostname` varchar(255) default NULL,
  `Storage_Modules_Load` varchar(255) default NULL,
  `perfparse_comment` text,
  `perfparse_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`perfparse_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cfg_perfparse`
--

LOCK TABLES `cfg_perfparse` WRITE;
/*!40000 ALTER TABLE `cfg_perfparse` DISABLE KEYS */;
INSERT INTO `cfg_perfparse` VALUES (2,'Perfparse',1976,'-','/var/log/nagios/serviceperf.log','perfparse.log','1',7,'/tmp/perfparse.drop','1',7,'/var/lock/perfparse.lock','1','1','2','2','2','0','/var/log/perfparse_output_log','1',7,'0','localhost',1974,'1','1','0','root',NULL,'perfparse','localhost','dummy','mysql','Install TGZ','1');
/*!40000 ALTER TABLE `cfg_perfparse` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cfg_resource`
--

DROP TABLE IF EXISTS `cfg_resource`;
CREATE TABLE `cfg_resource` (
  `resource_id` int(11) NOT NULL auto_increment,
  `resource_name` varchar(255) default NULL,
  `resource_line` varchar(255) default NULL,
  `resource_comment` varchar(255) default NULL,
  `resource_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`resource_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cfg_resource`
--

LOCK TABLES `cfg_resource` WRITE;
/*!40000 ALTER TABLE `cfg_resource` DISABLE KEYS */;
INSERT INTO `cfg_resource` VALUES (1,'$USER1$','$USER1$=/usr/lib/nagios/plugins/','path to the plugins','1');
/*!40000 ALTER TABLE `cfg_resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `command`
--

DROP TABLE IF EXISTS `command`;
CREATE TABLE `command` (
  `command_id` int(11) NOT NULL auto_increment,
  `command_name` varchar(200) default NULL,
  `command_line` text,
  `command_example` varchar(254) default NULL,
  `command_type` tinyint(4) default NULL,
  PRIMARY KEY  (`command_id`)
) ENGINE=InnoDB AUTO_INCREMENT=72 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `command`
--

LOCK TABLES `command` WRITE;
/*!40000 ALTER TABLE `command` DISABLE KEYS */;
INSERT INTO `command` VALUES (1,'check_host_alive','$USER1$#S#check_ping -H $HOSTADDRESS$ -w 3000.0,80% -c 5000.0,100% -p 1','',2),(2,'check_disk_smb','$USER1$#S#check_disk_smb -H $HOSTADDRESS$ -s $ARG1$ -u $ARG2$ -p $ARG3$ -w $ARG4$ -c $ARG5$','!share!user!passwd!80!90',2),(3,'check_distant_disk_space','$USER1$#S#check_distant_disk_space -H $HOSTADDRESS$ -C $ARG1$ -p $ARG2$ -w $ARG3$ -c $ARG4$','',2),(4,'check_centreon_dummy','$USER1$#S#check_centreon_dummy -s $ARG1$ -o $ARG2$','!0!OK',2),(5,'check_centreon_load_average','$USER1$#S#check_centreon_snmp_loadaverage -H $HOSTADDRESS$ -v $ARG1$ -C $ARG2$ -w $ARG3$ -c $ARG4$','!1!public!4,3,2!6,5,4',2),(6,'check_centreon_ping','$USER1$#S#check_centreon_ping -H $HOSTADDRESS$ -w 200,20% -c 500,40% -n $ARG1$','!3',2),(7,'check_centreon_process','$USER1$#S#check_centreon_snmp_process -H $HOSTADDRESS$ -v $ARG1$ -C $ARG2$ -n -p $ARG3$ -w $ARG4$ -c $ARG5$ ','!2c!public!httpd!10!12',2),(8,'check_centreon_process_exists','$USER1$#S#check_centreon_snmp_process -H $HOSTADDRESS$ -v $ARG1$ -C $ARG2$ -p $ARG3$','!2c!public!httpd',2),(9,'check_centreon_remote_storage','$USER1$#S#check_centreon_snmp_remote_storage -H $HOSTADDRESS$ -n -d $ARG1$ -C $ARG2$ -w $ARG3$ -c $ARG4$ -v $ARG5$','!/!public!80!90!1',2),(10,'check_centreon_traffic','$USER1$#S#check_centreon_snmp_traffic -H $HOSTADDRESS$ -n -i $ARG1$ -w $ARG2$ -c $ARG3$ -C $ARG4$ -v $ARG5$','!eth0!80!90!public!1',2),(11,'check_centreon_traffic_limited','$USER1$#S#check_centreon_snmp_traffic -H $HOSTADDRESS$ -n -i $ARG1$ -w $ARG2$ -c $ARG3$ -C $ARG4$ -v $ARG5$ -T $ARG6$','!eth0!80!90!public!1!2',2),(12,'check_hpjd','$USER1$#S#check_hpjd -H $HOSTADDRESS$ -C public','',2),(13,'check_http','$USER1$#S#check_http -H $HOSTADDRESS$','',2),(14,'check_https','$USER1$#S#check_http -S $HOSTADDRESS$','',2),(15,'check_local_swap','$USER1$#S#check_swap -w $ARG1$ -c $ARG2$ -v','!80!90',2),(16,'check_local_disk','$USER1$#S#check_disk -w $ARG2$ -c $ARG3$ -p $ARG1$','',2),(17,'check_local_load','$USER1$#S#check_load -w $ARG1$ -c $ARG2$','',2),(18,'check_local_procs','$USER1$#S#check_procs -w $ARG1$ -c $ARG2$ -u $ARG3$','',2),(19,'check_local_users','$USER1$#S#check_users -w $ARG1$ -c $ARG2$','',2),(20,'check_nt_memuse','$USER1$#S#check_nt -H $HOSTADDRESS$ -v MEMUSE -s &quot;public&quot;','',2),(21,'check_nt_cpu','$USER1$#S#check_nt -H $HOSTADDRESS$ -v CPULOAD -s &quot;public&quot; -l 2,90,95','',2),(22,'check_nt_disk','$USER1$#S#check_nt -H $HOSTADDRESS$ -v USEDDISKSPACE -s &quot;public&quot; -l $ARG1$ -w $ARG2$ -c $ARG3$','!C:!80!90',2),(23,'check_nt_service_state','$USER1$#S#check_nt -H $HOSTADDRESS$ -v SERVICESTATE -l $ARG1$ -s &quot;public&quot;','',2),(24,'check_tcp','$USER1$#S#check_tcp -H $HOSTADDRESS$ -p $ARG1$ -w $ARG2$ -c $ARG3$','',2),(25,'check_nntp','$USER1$#S#check_nntp -H $HOSTADDRESS$','',2),(26,'check_pop','$USER1$#S#check_pop -H $HOSTADDRESS$','',2),(27,'check_smtp','$USER1$#S#check_smtp -H $HOSTADDRESS$','',2),(28,'check_dns','$USER1$#S#check_dns -H $ARG1$ -s $HOSTADDRESS$','',2),(29,'check_ftp','$USER1$#S#check_ftp -H $HOSTADDRESS$','!127.0.0.1',2),(30,'check_dhcp','$USER1$#S#check_dhcp -s $HOSTADDRESS$ -i $ARG1$','!eth0',2),(31,'check_dig','$USER1$#S#check_dig -H $HOSTADDRESS$ -l $ARG1$','!www.centreon-nms.org',2),(32,'check_snmp','$USER1$#S#check_snmp -H $HOSTADDRESS$ -o $ARG1$ -w $ARG2$ -C $ARG3$','',2),(33,'check_telnet','$USER1$#S#check_tcp -H $HOSTADDRESS$ -p 23','',2),(34,'check_udp','$USER1$#S#check_udp -H $HOSTADDRESS$ -p $ARG1$','',2),(35,'check_centreon_nt','$USER1$#S#check_centreon_nt -H $HOSTADDRESS$ -p 1248 -v $ARG1$ -l $ARG2$ -s $ARG3$ -w $ARG4$ -c $ARG5$','',2),(36,'host-notify-by-email','#S#usr#S#bin#S#printf &quot;%b&quot; &quot;***** centreon Notification *****#BR##BR#Type:$NOTIFICATIONTYPE$#BR#Host: $HOSTNAME$#BR#State: $HOSTSTATE$#BR#Address: $HOSTADDRESS$#BR#Info: $HOSTOUTPUT$#BR#Date#S#Time: $DATE$&quot; | @MAILER@ -s &quot;Host $HOSTSTATE$ alert for $HOSTNAME$!&quot; $CONTACTEMAIL$','',1),(37,'notify-by-email','#S#usr#S#bin#S#printf &quot;%b&quot; &quot;***** centreon Notification *****#BR##BR#Notification Type: $NOTIFICATIONTYPE$#BR##BR#Service: $SERVICEDESC$#BR#Host: $HOSTALIAS$#BR#Address: $HOSTADDRESS$#BR#State: $SERVICESTATE$#BR##BR#Date#S#Time: $DATE$ Additional Info : $SERVICEOUTPUT$&quot; | @MAILER@ -s &quot;** $NOTIFICATIONTYPE$ alert - $HOSTALIAS$#S#$SERVICEDESC$ is $SERVICESTATE$ **&quot; $CONTACTEMAIL$','',1),(38,'host-notify-by-epager','#S#usr#S#bin#S#printf &quot;%b&quot; &quot;Host $HOSTALIAS$ is $HOSTSTATE$#BR#Info: $OUTPUT$#BR#Time: $DATETIME$#BS#&quot; | @MAILER@ -s #BS#&quot;$NOTIFICATIONTYPE$ alert - Host $HOSTNAME$ is $HOSTSTATE$#BS#&quot; $CONTACTPAGER$','',1),(39,'notify-by-epager','#S#usr#S#bin#S#printf &quot;%b&quot; &quot;Service: $SERVICEDESC$#BR#Host: $HOSTNAME$#BR#Address: $HOSTADDRESS$#BR#State: $SERVICESTATE$#BR#Info: $OUTPUT$#BR#Date: $DATETIME$&quot; | @MAILER@ -s &quot;$NOTIFICATIONTYPE$: $HOSTALIAS$#S#$SERVICEDESC$ is $SERVICESTATE$&quot; $CONTACTPAGER$','',1),(40,'submit-host-check-result','$USER1$#S#submit_host_check_result $HOSTNAME$ $HOSTSTATE$ &#039;$HOSTOUTPUT$&#039;','',3),(41,'submit-service-check-result','$USER1$#S#submit_service_check_result $HOSTNAME$ $SERVICEDESC$ $SERVICESTATE$ &#039;$SERVICEOUTPUT$&#039;','',3),(42,'process-service-perfdata','$USER1$#S#process-service-perfdata  &quot;$LASTSERVICECHECK$&quot; &quot;$HOSTNAME$&quot; &quot;$SERVICEDESC$&quot; &quot;$SERVICEOUTPUT$&quot; &quot;$SERVICESTATE$&quot; &quot;$SERVICEPERFDATA$&quot;','',3),(43,'check_manubulon_snmp_load','$USER1$#S#check_snmp_load.pl -H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$ -w $ARG3$','',2),(44,'check_manubulon_snmp_int','$USER1$#S#check_snmp_int.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2),(45,'check_manubulon_snmp_mem','$USER1$#S#check_snmp_mem.pl-H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$,$ARG3$ -c $ARG4$,$ARG5$','',2),(46,'check_manubulon_snmp_mem_cisco','$USER1$#S#check_snmp_mem.pl -H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$,$ARG3$ -c $ARG4$,$ARG5$ -I','',2),(47,'check_manubulon_snmp_mem_hp','$USER1$#S#check_snmp_mem.pl -H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$,$ARG3$ -c $ARG4$,$ARG5$ -E','',2),(48,'check_manubulon_snmp_process','$USER1$#S#check_snmp_proc.pl -H $HOSTADDRESS$ -C $ARG1$ -w $ARG2$ -c $ARG3$ -n $ARG5$','',2),(49,'check_manubulon_snmp_storage','$USER1$#S#check_snmp_storage.pl -H $HOSTADDRESS$ -C $ARG1$ -m $ARG2$ -w $ARG3$ -c $ARG4$','',2),(50,'check_manubulon_snmp_win','$USER1$#S#check_snmp_win.pl-H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2),(51,'check_manubulon_snmp_css','$USER1$#S#check_snmp_css.pl-H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$ -w $ARG3$ -c $ARG4$','',2),(52,'check_manubulon_snmp_env_oracle','$USER1$#S#check_snmp_env.pl-H $HOSTADDRESS$ -C $ARG1$ -T cisco','',2),(53,'check_compaq_cpu','$USER1$#S#check_compaq_cpu.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2),(54,'check_compaq_dimm','$USER1$#S#check_compaq_dimm.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2),(55,'check_compaq_fan','$USER1$#S#check_compaq_fan.pl -H $HOSTADDRESS$ -C $ARG1$','',2),(56,'check_compaq_nic','$USER1$#S#check_compaq_nic.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2),(57,'check_compaq_powersupply','$USER1$#S#check_compaq_powersupply.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2),(58,'check_compaq_raidcontroller','$USER1$#S#check_compaq_raidcontroller.pl -H $HOSTADDRESS$ -C $ARG1$','',2),(59,'check_compaq_raidstorage','$USER1$#S#check_compaq_raidstorage.pl -H $HOSTADDRESS$ -C $ARG1$','',2),(60,'check_san_fan','$USER1$#S#check_san_fan.pl -H $HOSTADDRESS$ -C $ARG1$ -D $ARG2$','',2),(61,'check_san_drive','$USER1$#S#check_san_drive.pl -H $HOSTADDRESS$ -C $ARG1$ -p $ARG2$','',2),(62,'check_san_processor','$USER1$#S#check_san_processor.pl -H $HOSTADDRESS$ -C $ARG1$','',2),(63,'check_san_powersupply','$USER1$#S#check_san_powersupply.pl -H $HOSTADDRESS$ -C $ARG1$ -p $ARG2$ -D $ARG3$','',2),(64,'check_san_battery','$USER1$#S#check_san_battery.pl -H $HOSTADDRESS$ -C $ARG1$ -p $ARG2$','',2),(65,'check_hp_cpu','$USER1$#S#check_hp_cpu.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$','',2),(66,'check_hp_dimm','$USER1$#S#check_hp_dimm.pl -H $HOSTADDRESS$ -C $ARG1$','',2),(67,'check_hp_fan','$USER1$#S#check_hp_fan.pl -H $HOSTADDRESS$ -C $ARG1$','',2),(68,'check_hp_powersupply','$USER1$#S#check_hp_powersupply.pl -H $HOSTADDRESS$ -C $ARG1$','',2),(69,'check_hp_raiddisks','$USER1$#S#check_hp_raiddisks.pl -H $HOSTADDRESS$ -C $ARG1$','',2),(70,'host-notify-by-sendmailhost','$USER1$#S#sendmailhost.pl \"$NOTIFICATIONTYPE$\" \"$HOSTNAME$\" \"$HOSTSTATE$\" \"$HOSTADDRESS$\" \"$HOSTOUTPUT$\" \"$SHORTDATETIME$\" \"$CONTACTEMAIL$\"','',1),(71,'notify-by-sendmailservices','$USER1$#S#sendmailservices.pl \"$NOTIFICATIONTYPE$\" \"$SERVICEDESC$\" \"$HOSTALIAS$\" \"$HOSTADDRESS$\" \"$SERVICESTATE$\" \"$SHORTDATETIME$\" \"$SERVICEOUTPUT$\" \"$CONTACTEMAIL$\"','',1);
/*!40000 ALTER TABLE `command` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact`
--

DROP TABLE IF EXISTS `contact`;
CREATE TABLE `contact` (
  `contact_id` int(11) NOT NULL auto_increment,
  `timeperiod_tp_id` int(11) default NULL,
  `timeperiod_tp_id2` int(11) default NULL,
  `contact_name` varchar(200) default NULL,
  `contact_alias` varchar(200) default NULL,
  `contact_passwd` varchar(255) default NULL,
  `contact_lang` varchar(255) default NULL,
  `contact_host_notification_options` varchar(200) default NULL,
  `contact_service_notification_options` varchar(200) default NULL,
  `contact_email` varchar(200) default NULL,
  `contact_pager` varchar(200) default NULL,
  `contact_comment` text,
  `contact_oreon` enum('0','1') default NULL,
  `contact_admin` enum('0','1') default '0',
  `contact_type_msg` enum('txt','html','pdf') default 'txt',
  `contact_activate` enum('0','1') default NULL,
  `contact_auth_type` varchar(255) default '',
  `contact_ldap_dn` varchar(255) default NULL,
  PRIMARY KEY  (`contact_id`),
  KEY `name_index` (`contact_name`),
  KEY `alias_index` (`contact_alias`),
  KEY `tp1_index` (`timeperiod_tp_id`),
  KEY `tp2_index` (`timeperiod_tp_id2`),
  CONSTRAINT `contact_ibfk_1` FOREIGN KEY (`timeperiod_tp_id`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `contact_ibfk_2` FOREIGN KEY (`timeperiod_tp_id2`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contact`
--

LOCK TABLES `contact` WRITE;
/*!40000 ALTER TABLE `contact` DISABLE KEYS */;
INSERT INTO `contact` VALUES (1,1,1,'nagiosadmin','nagiosadmin','426d184e674e6c3020d38bde1d7ed35d','en','d,u','w,u,c','root@localhost',NULL,NULL,'1','1','txt','1','local',NULL);
/*!40000 ALTER TABLE `contact` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_hostcommands_relation`
--

DROP TABLE IF EXISTS `contact_hostcommands_relation`;
CREATE TABLE `contact_hostcommands_relation` (
  `chr_id` int(11) NOT NULL auto_increment,
  `contact_contact_id` int(11) default NULL,
  `command_command_id` int(11) default NULL,
  PRIMARY KEY  (`chr_id`),
  KEY `contact_index` (`contact_contact_id`),
  KEY `command_index` (`command_command_id`),
  CONSTRAINT `contact_hostcommands_relation_ibfk_1` FOREIGN KEY (`contact_contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE,
  CONSTRAINT `contact_hostcommands_relation_ibfk_2` FOREIGN KEY (`command_command_id`) REFERENCES `command` (`command_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contact_hostcommands_relation`
--

LOCK TABLES `contact_hostcommands_relation` WRITE;
/*!40000 ALTER TABLE `contact_hostcommands_relation` DISABLE KEYS */;
INSERT INTO `contact_hostcommands_relation` VALUES (1,1,70);
/*!40000 ALTER TABLE `contact_hostcommands_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_servicecommands_relation`
--

DROP TABLE IF EXISTS `contact_servicecommands_relation`;
CREATE TABLE `contact_servicecommands_relation` (
  `csc_id` int(11) NOT NULL auto_increment,
  `contact_contact_id` int(11) default NULL,
  `command_command_id` int(11) default NULL,
  PRIMARY KEY  (`csc_id`),
  KEY `contact_index` (`contact_contact_id`),
  KEY `command_index` (`command_command_id`),
  CONSTRAINT `contact_servicecommands_relation_ibfk_1` FOREIGN KEY (`contact_contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE,
  CONSTRAINT `contact_servicecommands_relation_ibfk_2` FOREIGN KEY (`command_command_id`) REFERENCES `command` (`command_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contact_servicecommands_relation`
--

LOCK TABLES `contact_servicecommands_relation` WRITE;
/*!40000 ALTER TABLE `contact_servicecommands_relation` DISABLE KEYS */;
INSERT INTO `contact_servicecommands_relation` VALUES (1,1,71);
/*!40000 ALTER TABLE `contact_servicecommands_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup`
--

DROP TABLE IF EXISTS `contactgroup`;
CREATE TABLE `contactgroup` (
  `cg_id` int(11) NOT NULL auto_increment,
  `cg_name` varchar(200) default NULL,
  `cg_alias` varchar(200) default NULL,
  `cg_comment` text,
  `cg_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`cg_id`),
  KEY `name_index` (`cg_name`),
  KEY `alias_index` (`cg_alias`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup`
--

LOCK TABLES `contactgroup` WRITE;
/*!40000 ALTER TABLE `contactgroup` DISABLE KEYS */;
INSERT INTO `contactgroup` VALUES (1,'admin','admin','','1');
/*!40000 ALTER TABLE `contactgroup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_contact_relation`
--

DROP TABLE IF EXISTS `contactgroup_contact_relation`;
CREATE TABLE `contactgroup_contact_relation` (
  `cgr_id` int(11) NOT NULL auto_increment,
  `contact_contact_id` int(11) default NULL,
  `contactgroup_cg_id` int(11) default NULL,
  PRIMARY KEY  (`cgr_id`),
  KEY `contact_index` (`contact_contact_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  CONSTRAINT `contactgroup_contact_relation_ibfk_1` FOREIGN KEY (`contact_contact_id`) REFERENCES `contact` (`contact_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_contact_relation_ibfk_2` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_contact_relation`
--

LOCK TABLES `contactgroup_contact_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_contact_relation` DISABLE KEYS */;
INSERT INTO `contactgroup_contact_relation` VALUES (2,1,1);
/*!40000 ALTER TABLE `contactgroup_contact_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_host_relation`
--

DROP TABLE IF EXISTS `contactgroup_host_relation`;
CREATE TABLE `contactgroup_host_relation` (
  `cghr_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `contactgroup_cg_id` int(11) default NULL,
  PRIMARY KEY  (`cghr_id`),
  KEY `host_index` (`host_host_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  CONSTRAINT `contactgroup_host_relation_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_host_relation_ibfk_2` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_host_relation`
--

LOCK TABLES `contactgroup_host_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_host_relation` DISABLE KEYS */;
INSERT INTO `contactgroup_host_relation` VALUES (2,1,1);
/*!40000 ALTER TABLE `contactgroup_host_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_hostgroup_relation`
--

DROP TABLE IF EXISTS `contactgroup_hostgroup_relation`;
CREATE TABLE `contactgroup_hostgroup_relation` (
  `cghgr_id` int(11) NOT NULL auto_increment,
  `contactgroup_cg_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  PRIMARY KEY  (`cghgr_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  CONSTRAINT `contactgroup_hostgroup_relation_ibfk_1` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_hostgroup_relation_ibfk_2` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_hostgroup_relation`
--

LOCK TABLES `contactgroup_hostgroup_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_hostgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `contactgroup_hostgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_service_relation`
--

DROP TABLE IF EXISTS `contactgroup_service_relation`;
CREATE TABLE `contactgroup_service_relation` (
  `cgsr_id` int(11) NOT NULL auto_increment,
  `contactgroup_cg_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  PRIMARY KEY  (`cgsr_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  KEY `service_index` (`service_service_id`),
  CONSTRAINT `contactgroup_service_relation_ibfk_1` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_service_relation_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_service_relation`
--

LOCK TABLES `contactgroup_service_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_service_relation` DISABLE KEYS */;
INSERT INTO `contactgroup_service_relation` VALUES (1,1,1),(2,1,2),(3,1,3),(4,1,4);
/*!40000 ALTER TABLE `contactgroup_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contactgroup_servicegroup_relation`
--

DROP TABLE IF EXISTS `contactgroup_servicegroup_relation`;
CREATE TABLE `contactgroup_servicegroup_relation` (
  `cgsgr_id` int(11) NOT NULL auto_increment,
  `servicegroup_sg_id` int(11) default NULL,
  `contactgroup_cg_id` int(11) default NULL,
  PRIMARY KEY  (`cgsgr_id`),
  KEY `servicegroup_index` (`servicegroup_sg_id`),
  KEY `contactgroup_index` (`contactgroup_cg_id`),
  CONSTRAINT `contactgroup_servicegroup_relation_ibfk_1` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE,
  CONSTRAINT `contactgroup_servicegroup_relation_ibfk_2` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `contactgroup_servicegroup_relation`
--

LOCK TABLES `contactgroup_servicegroup_relation` WRITE;
/*!40000 ALTER TABLE `contactgroup_servicegroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `contactgroup_servicegroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cron_operation`
--

DROP TABLE IF EXISTS `cron_operation`;
CREATE TABLE `cron_operation` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(254) default NULL,
  `command` varchar(254) default NULL,
  `time_launch` varchar(254) default NULL,
  `last_modification` int(11) default '0',
  `system` enum('0','1') default NULL,
  `module` enum('0','1') default NULL,
  `activate` enum('0','1') default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `cron_operation`
--

LOCK TABLES `cron_operation` WRITE;
/*!40000 ALTER TABLE `cron_operation` DISABLE KEYS */;
/*!40000 ALTER TABLE `cron_operation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `css_color_menu`
--

DROP TABLE IF EXISTS `css_color_menu`;
CREATE TABLE `css_color_menu` (
  `id_css_color_menu` int(11) NOT NULL auto_increment,
  `menu_nb` int(11) default NULL,
  `css_name` varchar(255) default NULL,
  PRIMARY KEY  (`id_css_color_menu`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `css_color_menu`
--

LOCK TABLES `css_color_menu` WRITE;
/*!40000 ALTER TABLE `css_color_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `css_color_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency`
--

DROP TABLE IF EXISTS `dependency`;
CREATE TABLE `dependency` (
  `dep_id` int(11) NOT NULL auto_increment,
  `dep_name` varchar(255) default NULL,
  `dep_description` varchar(255) default NULL,
  `inherits_parent` enum('0','1') default NULL,
  `execution_failure_criteria` varchar(255) default NULL,
  `notification_failure_criteria` varchar(255) default NULL,
  `dep_comment` text,
  PRIMARY KEY  (`dep_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency`
--

LOCK TABLES `dependency` WRITE;
/*!40000 ALTER TABLE `dependency` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_hostChild_relation`
--

DROP TABLE IF EXISTS `dependency_hostChild_relation`;
CREATE TABLE `dependency_hostChild_relation` (
  `dhcr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`dhcr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `dependency_hostChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_hostChild_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_hostChild_relation`
--

LOCK TABLES `dependency_hostChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_hostChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_hostChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_hostParent_relation`
--

DROP TABLE IF EXISTS `dependency_hostParent_relation`;
CREATE TABLE `dependency_hostParent_relation` (
  `dhpr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`dhpr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `dependency_hostParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_hostParent_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_hostParent_relation`
--

LOCK TABLES `dependency_hostParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_hostParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_hostParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_hostgroupChild_relation`
--

DROP TABLE IF EXISTS `dependency_hostgroupChild_relation`;
CREATE TABLE `dependency_hostgroupChild_relation` (
  `dhgcr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  PRIMARY KEY  (`dhgcr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  CONSTRAINT `dependency_hostgroupChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_hostgroupChild_relation_ibfk_2` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_hostgroupChild_relation`
--

LOCK TABLES `dependency_hostgroupChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_hostgroupChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_hostgroupChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_hostgroupParent_relation`
--

DROP TABLE IF EXISTS `dependency_hostgroupParent_relation`;
CREATE TABLE `dependency_hostgroupParent_relation` (
  `dhgpr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  PRIMARY KEY  (`dhgpr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  CONSTRAINT `dependency_hostgroupParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_hostgroupParent_relation_ibfk_2` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_hostgroupParent_relation`
--

LOCK TABLES `dependency_hostgroupParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_hostgroupParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_hostgroupParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_metaserviceChild_relation`
--

DROP TABLE IF EXISTS `dependency_metaserviceChild_relation`;
CREATE TABLE `dependency_metaserviceChild_relation` (
  `dmscr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `meta_service_meta_id` int(11) default NULL,
  PRIMARY KEY  (`dmscr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `meta_service_index` (`meta_service_meta_id`),
  CONSTRAINT `dependency_metaserviceChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_metaserviceChild_relation_ibfk_2` FOREIGN KEY (`meta_service_meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_metaserviceChild_relation`
--

LOCK TABLES `dependency_metaserviceChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_metaserviceChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_metaserviceChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_metaserviceParent_relation`
--

DROP TABLE IF EXISTS `dependency_metaserviceParent_relation`;
CREATE TABLE `dependency_metaserviceParent_relation` (
  `dmspr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `meta_service_meta_id` int(11) default NULL,
  PRIMARY KEY  (`dmspr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `meta_service_index` (`meta_service_meta_id`),
  CONSTRAINT `dependency_metaserviceParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_metaserviceParent_relation_ibfk_2` FOREIGN KEY (`meta_service_meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_metaserviceParent_relation`
--

LOCK TABLES `dependency_metaserviceParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_metaserviceParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_metaserviceParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_serviceChild_relation`
--

DROP TABLE IF EXISTS `dependency_serviceChild_relation`;
CREATE TABLE `dependency_serviceChild_relation` (
  `dscr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`dscr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `service_index` (`service_service_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `dependency_serviceChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_serviceChild_relation_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_serviceChild_relation_ibfk_3` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_serviceChild_relation`
--

LOCK TABLES `dependency_serviceChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_serviceChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_serviceChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_serviceParent_relation`
--

DROP TABLE IF EXISTS `dependency_serviceParent_relation`;
CREATE TABLE `dependency_serviceParent_relation` (
  `dspr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`dspr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `service_index` (`service_service_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `dependency_serviceParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_serviceParent_relation_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_serviceParent_relation_ibfk_3` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_serviceParent_relation`
--

LOCK TABLES `dependency_serviceParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_serviceParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_serviceParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_servicegroupChild_relation`
--

DROP TABLE IF EXISTS `dependency_servicegroupChild_relation`;
CREATE TABLE `dependency_servicegroupChild_relation` (
  `dsgcr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  PRIMARY KEY  (`dsgcr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `sg_index` (`servicegroup_sg_id`),
  CONSTRAINT `dependency_servicegroupChild_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_servicegroupChild_relation_ibfk_2` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_servicegroupChild_relation`
--

LOCK TABLES `dependency_servicegroupChild_relation` WRITE;
/*!40000 ALTER TABLE `dependency_servicegroupChild_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_servicegroupChild_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dependency_servicegroupParent_relation`
--

DROP TABLE IF EXISTS `dependency_servicegroupParent_relation`;
CREATE TABLE `dependency_servicegroupParent_relation` (
  `dsgpr_id` int(11) NOT NULL auto_increment,
  `dependency_dep_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  PRIMARY KEY  (`dsgpr_id`),
  KEY `dependency_index` (`dependency_dep_id`),
  KEY `sg_index` (`servicegroup_sg_id`),
  CONSTRAINT `dependency_servicegroupParent_relation_ibfk_1` FOREIGN KEY (`dependency_dep_id`) REFERENCES `dependency` (`dep_id`) ON DELETE CASCADE,
  CONSTRAINT `dependency_servicegroupParent_relation_ibfk_2` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `dependency_servicegroupParent_relation`
--

LOCK TABLES `dependency_servicegroupParent_relation` WRITE;
/*!40000 ALTER TABLE `dependency_servicegroupParent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dependency_servicegroupParent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `downtime`
--

DROP TABLE IF EXISTS `downtime`;
CREATE TABLE `downtime` (
  `downtime_id` int(11) NOT NULL auto_increment,
  `host_id` int(11) NOT NULL default '0',
  `service_id` int(11) default NULL,
  `entry_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `author` varchar(254) NOT NULL default '',
  `comment` varchar(254) NOT NULL default '',
  `start_time` varchar(15) NOT NULL default '',
  `end_time` varchar(15) NOT NULL default '',
  `fixed` enum('0','1') NOT NULL default '0',
  `duration` int(11) NOT NULL default '0',
  `deleted` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`downtime_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `downtime`
--

LOCK TABLES `downtime` WRITE;
/*!40000 ALTER TABLE `downtime` DISABLE KEYS */;
/*!40000 ALTER TABLE `downtime` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation`
--

DROP TABLE IF EXISTS `escalation`;
CREATE TABLE `escalation` (
  `esc_id` int(11) NOT NULL auto_increment,
  `esc_name` varchar(255) default NULL,
  `esc_alias` varchar(255) default NULL,
  `first_notification` int(11) default NULL,
  `last_notification` int(11) default NULL,
  `notification_interval` int(11) default NULL,
  `escalation_period` int(11) default NULL,
  `escalation_options1` varchar(255) default NULL,
  `escalation_options2` varchar(255) default NULL,
  `esc_comment` text,
  PRIMARY KEY  (`esc_id`),
  KEY `period_index` (`escalation_period`),
  CONSTRAINT `escalation_ibfk_1` FOREIGN KEY (`escalation_period`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation`
--

LOCK TABLES `escalation` WRITE;
/*!40000 ALTER TABLE `escalation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_contactgroup_relation`
--

DROP TABLE IF EXISTS `escalation_contactgroup_relation`;
CREATE TABLE `escalation_contactgroup_relation` (
  `ecgr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `contactgroup_cg_id` int(11) default NULL,
  PRIMARY KEY  (`ecgr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `cg_index` (`contactgroup_cg_id`),
  CONSTRAINT `escalation_contactgroup_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_contactgroup_relation_ibfk_2` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_contactgroup_relation`
--

LOCK TABLES `escalation_contactgroup_relation` WRITE;
/*!40000 ALTER TABLE `escalation_contactgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_contactgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_host_relation`
--

DROP TABLE IF EXISTS `escalation_host_relation`;
CREATE TABLE `escalation_host_relation` (
  `ehr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`ehr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `escalation_host_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_host_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_host_relation`
--

LOCK TABLES `escalation_host_relation` WRITE;
/*!40000 ALTER TABLE `escalation_host_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_host_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_hostgroup_relation`
--

DROP TABLE IF EXISTS `escalation_hostgroup_relation`;
CREATE TABLE `escalation_hostgroup_relation` (
  `ehgr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  PRIMARY KEY  (`ehgr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `hg_index` (`hostgroup_hg_id`),
  CONSTRAINT `escalation_hostgroup_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_hostgroup_relation_ibfk_2` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_hostgroup_relation`
--

LOCK TABLES `escalation_hostgroup_relation` WRITE;
/*!40000 ALTER TABLE `escalation_hostgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_hostgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_meta_service_relation`
--

DROP TABLE IF EXISTS `escalation_meta_service_relation`;
CREATE TABLE `escalation_meta_service_relation` (
  `emsr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `meta_service_meta_id` int(11) default NULL,
  PRIMARY KEY  (`emsr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `meta_service_index` (`meta_service_meta_id`),
  CONSTRAINT `escalation_meta_service_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_meta_service_relation_ibfk_2` FOREIGN KEY (`meta_service_meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_meta_service_relation`
--

LOCK TABLES `escalation_meta_service_relation` WRITE;
/*!40000 ALTER TABLE `escalation_meta_service_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_meta_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_service_relation`
--

DROP TABLE IF EXISTS `escalation_service_relation`;
CREATE TABLE `escalation_service_relation` (
  `esr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`esr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `service_index` (`service_service_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `escalation_service_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_service_relation_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_service_relation_ibfk_3` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_service_relation`
--

LOCK TABLES `escalation_service_relation` WRITE;
/*!40000 ALTER TABLE `escalation_service_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escalation_servicegroup_relation`
--

DROP TABLE IF EXISTS `escalation_servicegroup_relation`;
CREATE TABLE `escalation_servicegroup_relation` (
  `esgr_id` int(11) NOT NULL auto_increment,
  `escalation_esc_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  PRIMARY KEY  (`esgr_id`),
  KEY `escalation_index` (`escalation_esc_id`),
  KEY `sg_index` (`servicegroup_sg_id`),
  CONSTRAINT `escalation_servicegroup_relation_ibfk_1` FOREIGN KEY (`escalation_esc_id`) REFERENCES `escalation` (`esc_id`) ON DELETE CASCADE,
  CONSTRAINT `escalation_servicegroup_relation_ibfk_2` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `escalation_servicegroup_relation`
--

LOCK TABLES `escalation_servicegroup_relation` WRITE;
/*!40000 ALTER TABLE `escalation_servicegroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `escalation_servicegroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `extended_host_information`
--

DROP TABLE IF EXISTS `extended_host_information`;
CREATE TABLE `extended_host_information` (
  `ehi_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `ehi_notes` varchar(200) default NULL,
  `ehi_notes_url` varchar(200) default NULL,
  `ehi_action_url` varchar(200) default NULL,
  `ehi_icon_image` varchar(200) default NULL,
  `ehi_icon_image_alt` varchar(200) default NULL,
  `ehi_vrml_image` varchar(200) default NULL,
  `ehi_statusmap_image` varchar(200) default NULL,
  `ehi_2d_coords` varchar(200) default NULL,
  `ehi_3d_coords` varchar(200) default NULL,
  PRIMARY KEY  (`ehi_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `extended_host_information_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `extended_host_information`
--

LOCK TABLES `extended_host_information` WRITE;
/*!40000 ALTER TABLE `extended_host_information` DISABLE KEYS */;
INSERT INTO `extended_host_information` VALUES (1,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `extended_host_information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `extended_service_information`
--

DROP TABLE IF EXISTS `extended_service_information`;
CREATE TABLE `extended_service_information` (
  `esi_id` int(11) NOT NULL auto_increment,
  `service_service_id` int(11) default NULL,
  `esi_notes` varchar(200) default NULL,
  `esi_notes_url` varchar(200) default NULL,
  `esi_action_url` varchar(200) default NULL,
  `esi_icon_image` varchar(200) default NULL,
  `esi_icon_image_alt` varchar(200) default NULL,
  `graph_id` int(11) default NULL,
  PRIMARY KEY  (`esi_id`),
  KEY `service_index` (`service_service_id`),
  KEY `graph_index` (`graph_id`),
  CONSTRAINT `extended_service_information_ibfk_1` FOREIGN KEY (`graph_id`) REFERENCES `giv_graphs_template` (`graph_id`) ON DELETE SET NULL,
  CONSTRAINT `extended_service_information_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `extended_service_information`
--

LOCK TABLES `extended_service_information` WRITE;
/*!40000 ALTER TABLE `extended_service_information` DISABLE KEYS */;
INSERT INTO `extended_service_information` VALUES (1,1,NULL,NULL,NULL,NULL,NULL,4),(2,2,NULL,NULL,NULL,NULL,NULL,3),(3,3,NULL,NULL,NULL,NULL,NULL,8),(4,4,NULL,NULL,NULL,NULL,NULL,1);
/*!40000 ALTER TABLE `extended_service_information` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `general_opt`
--

DROP TABLE IF EXISTS `general_opt`;
CREATE TABLE `general_opt` (
  `gopt_id` int(11) NOT NULL auto_increment,
  `nagios_path` varchar(255) default NULL,
  `nagios_path_bin` varchar(255) default NULL,
  `nagios_init_script` varchar(255) default NULL,
  `nagios_path_img` varchar(255) default NULL,
  `nagios_path_plugins` varchar(255) default NULL,
  `nagios_version` enum('1','2','3') default NULL,
  `snmp_community` varchar(255) default NULL,
  `snmp_version` varchar(255) default NULL,
  `snmpttconvertmib_path_bin` varchar(255) default NULL,
  `perl_library_path` varchar(255) default NULL,
  `snmp_trapd_path_conf` varchar(255) default NULL,
  `mailer_path_bin` varchar(255) default NULL,
  `rrdtool_path_bin` varchar(255) default NULL,
  `rrdtool_version` varchar(255) default NULL,
  `oreon_path` varchar(255) default NULL,
  `oreon_web_path` varchar(255) default NULL,
  `oreon_rrdbase_path` varchar(255) default NULL,
  `oreon_refresh` int(11) default NULL,
  `color_up` varchar(50) default NULL,
  `color_down` varchar(50) default NULL,
  `color_unreachable` varchar(50) default NULL,
  `color_ok` varchar(50) default NULL,
  `color_warning` varchar(50) default NULL,
  `color_critical` varchar(50) default NULL,
  `color_pending` varchar(50) default NULL,
  `color_unknown` varchar(50) default NULL,
  `session_expire` int(11) default NULL,
  `perfparse_installed` enum('0','1') default NULL,
  `graph_preferencies` int(11) default '0',
  `maxViewMonitoring` int(11) NOT NULL default '50',
  `maxViewConfiguration` int(11) NOT NULL default '20',
  `AjaxTimeReloadMonitoring` int(11) NOT NULL default '15',
  `AjaxTimeReloadStatistic` int(11) NOT NULL default '15',
  `AjaxFirstTimeReloadMonitoring` int(11) NOT NULL default '15',
  `AjaxFirstTimeReloadStatistic` int(11) NOT NULL default '1',
  `template` varchar(254) default 'Basic',
  `problem_sort_type` varchar(25) default NULL,
  `problem_sort_order` varchar(25) default NULL,
  `ldap_host` varchar(254) default NULL,
  `ldap_port` varchar(5) default '389',
  `ldap_base_dn` varchar(254) default NULL,
  `ldap_login_attrib` varchar(254) default 'dn',
  `ldap_ssl` enum('0','1') default NULL,
  `ldap_search_user` varchar(254) default NULL,
  `ldap_search_user_pwd` varchar(254) default NULL,
  `ldap_search_filter` varchar(254) default NULL,
  `ldap_search_timeout` varchar(5) default '60',
  `ldap_search_limit` varchar(5) default '60',
  `ldap_auth_enable` enum('0','1') default NULL,
  `debug_path` varchar(255) default NULL,
  `debug_auth` enum('0','1') default NULL,
  `debug_nagios_import` enum('0','1') default NULL,
  `debug_rrdtool` enum('0','1') default NULL,
  `debug_ldap_import` enum('0','1') default NULL,
  `debug_inventory` enum('0','1') default NULL,
  `gmt` int(11) NOT NULL default '0',
  `patch_type_stable` enum('Y','N') default 'Y',
  `patch_type_RC` enum('Y','N') default 'N',
  `patch_type_patch` enum('Y','N') default 'N',
  `patch_type_secu` enum('Y','N') default 'Y',
  `patch_type_beta` enum('Y','N') default 'N',
  `patch_url_service` varchar(255) default NULL,
  `patch_url_download` varchar(255) default NULL,
  `patch_path_download` varchar(255) default NULL,
  PRIMARY KEY  (`gopt_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `general_opt`
--

LOCK TABLES `general_opt` WRITE;
/*!40000 ALTER TABLE `general_opt` DISABLE KEYS */;
INSERT INTO `general_opt` VALUES (1,'/','/usr/bin/nagios','/etc/init.d/nagios','/usr/share/nagios/images/logos/','/usr/lib/nagios/plugins/','2','public','1','/usr/sbin/snmpttconvertmib','/usr/local/lib','/etc/snmp/centreon_traps/','/bin/mail','/usr/bin/rrdtool','1.2','/usr/share/centreon/','/centreon/','/usr/share/centreon/rrd/',60,'#19EE11','#F91E05','#82CFD8','#13EB3A','#F8C706','#F91D05','#2AD1D4','#D4D5CC',120,'0',1,50,50,15,15,15,1,'Basic',NULL,NULL,NULL,NULL,NULL,NULL,'0',NULL,NULL,NULL,'60','60','0',NULL,NULL,NULL,NULL,NULL,NULL,0,'Y','Y','Y','Y','Y','http://update.oreon-project.org/version.php','http://update.oreon-project.org/patch/','/tmp/');
/*!40000 ALTER TABLE `general_opt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `giv_components_template`
--

DROP TABLE IF EXISTS `giv_components_template`;
CREATE TABLE `giv_components_template` (
  `compo_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `ds_order` int(11) default NULL,
  `ds_name` varchar(200) default NULL,
  `ds_color_line` varchar(255) default NULL,
  `ds_color_area` varchar(255) default NULL,
  `ds_filled` enum('0','1') default NULL,
  `ds_max` enum('0','1') default NULL,
  `ds_min` enum('0','1') default NULL,
  `ds_average` enum('0','1') default NULL,
  `ds_last` enum('0','1') default NULL,
  `ds_tickness` int(11) default NULL,
  `ds_transparency` varchar(254) default NULL,
  `ds_invert` enum('0','1') default NULL,
  `default_tpl1` enum('0','1') default NULL,
  `comment` text,
  PRIMARY KEY  (`compo_id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `giv_components_template`
--

LOCK TABLES `giv_components_template` WRITE;
/*!40000 ALTER TABLE `giv_components_template` DISABLE KEYS */;
INSERT INTO `giv_components_template` VALUES (1,'Default_DS1',1,'DS1','#1183EE','#FFFFFF','0','1','1','1','1',2,NULL,NULL,'1',NULL),(2,'Default_DS2',2,'DS2','#18E631','#FFFFFF','0','1','1','1','1',2,NULL,NULL,'0',NULL),(3,'Default_DS3',3,'DS3','#E84D17','#FFFFFF','0','1','1','1','1',2,NULL,NULL,'0',NULL),(4,'Default_DS4',4,'DS4','#C438C7','#FFFFFF','0','1','1','1','1',2,NULL,NULL,'0',NULL),(5,'Ok',2,'Ok','#1EE045','#1EE045','0','0','0','1','0',1,'75','0','0',NULL),(6,'Ping',1,'Ping','#1EE045','#1EE045','0','1','0','1','0',1,'75','0','0',NULL),(7,'Total',1,'Total','#F33E0B','#FFFFFF','0','0','0','1','1',1,NULL,'0','0',NULL),(8,'Used',2,'Used','#2B28D7','#FFFFFF','0','0','0','1','1',1,NULL,'0','0',NULL),(10,'CPU',1,'CPU','#FF0000','#FFFFFF','0','0','0','0','0',1,NULL,'0','0',NULL),(11,'UPTIME',1,'UPTIME','#FF0000','#FF0000','1','1','1','1','0',1,NULL,'0','0',NULL),(12,'Traffic_In',1,'Traffic_In','#FF0000','#FF0000','0','1','0','1','0',1,'75',NULL,'0',NULL),(13,'Traffic_Out',2,'Traffic_Out','#1EE045','#1EE045','0','1','0','1','1',1,'75','0','0',NULL),(14,'Load_1',1,'Load_1','#F3D30B','#F3D30B','0','0','0','1','0',1,'75','0','0',NULL),(15,'Load_5',2,'Load_5','#E97B15','#E97B15','0','0','0','1','0',1,'75','0','0',NULL),(16,'Load_15',3,'Load_15','#F11F0D','#F11F0D','0','0','0','1','0',1,'75','0','0',NULL),(17,'OSL_DOWNTIME',1,'OSL_DOWNTIME','#E64A18','#E64A18','1','1','1','1','0',1,NULL,'0','0',NULL),(18,'OSL_VALUE',2,'OSL_VALUE','#61D22D','#61D22D','1','1','1','1','0',1,NULL,'0','0',NULL);
/*!40000 ALTER TABLE `giv_components_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `giv_graphT_componentT_relation`
--

DROP TABLE IF EXISTS `giv_graphT_componentT_relation`;
CREATE TABLE `giv_graphT_componentT_relation` (
  `ggcr_id` int(11) NOT NULL auto_increment,
  `gg_graph_id` int(11) default NULL,
  `gc_compo_id` int(11) default NULL,
  PRIMARY KEY  (`ggcr_id`),
  KEY `graph_index` (`gg_graph_id`),
  KEY `compo_index` (`gc_compo_id`),
  CONSTRAINT `giv_graphT_componentT_relation_ibfk_1` FOREIGN KEY (`gg_graph_id`) REFERENCES `giv_graphs_template` (`graph_id`) ON DELETE CASCADE,
  CONSTRAINT `giv_graphT_componentT_relation_ibfk_2` FOREIGN KEY (`gc_compo_id`) REFERENCES `giv_components_template` (`compo_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `giv_graphT_componentT_relation`
--

LOCK TABLES `giv_graphT_componentT_relation` WRITE;
/*!40000 ALTER TABLE `giv_graphT_componentT_relation` DISABLE KEYS */;
INSERT INTO `giv_graphT_componentT_relation` VALUES (1,1,1),(2,1,2),(3,1,3),(4,1,4),(5,2,5),(6,2,6),(7,3,7),(8,3,8),(9,4,7),(10,4,8),(11,5,10),(12,6,11),(13,7,12),(14,7,13),(15,8,14),(16,8,15),(17,8,16),(18,9,17),(19,9,18);
/*!40000 ALTER TABLE `giv_graphT_componentT_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `giv_graphs_template`
--

DROP TABLE IF EXISTS `giv_graphs_template`;
CREATE TABLE `giv_graphs_template` (
  `graph_id` int(11) NOT NULL auto_increment,
  `name` varchar(200) default NULL,
  `vertical_label` varchar(200) default NULL,
  `width` int(11) default NULL,
  `height` int(11) default NULL,
  `base` int(11) default '1000',
  `lower_limit` float default NULL,
  `upper_limit` float default NULL,
  `bg_grid_color` varchar(200) default NULL,
  `bg_color` varchar(200) default NULL,
  `police_color` varchar(200) default NULL,
  `grid_main_color` varchar(200) default NULL,
  `grid_sec_color` varchar(200) default NULL,
  `contour_cub_color` varchar(200) default NULL,
  `col_arrow` varchar(200) default NULL,
  `col_top` varchar(200) default NULL,
  `col_bot` varchar(200) default NULL,
  `default_tpl1` enum('0','1') default NULL,
  `stacked` enum('0','1') default NULL,
  `split_component` enum('0','1') default '0',
  `comment` text,
  PRIMARY KEY  (`graph_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `giv_graphs_template`
--

LOCK TABLES `giv_graphs_template` WRITE;
/*!40000 ALTER TABLE `giv_graphs_template` DISABLE KEYS */;
INSERT INTO `giv_graphs_template` VALUES (1,'Default_Graph','Value',600,200,1000,0,NULL,'#FFFFFF','#FEFEFE','#000000','#800000','#808080','#000000','#FFFFFF','#C0C0C0','#909090','1','0','0',NULL),(2,'Latency','Latency',600,200,1000,0,NULL,'#FFFFFF','#F3F6F6','#3C3334','#800000','#808080','#000000','#FFFFFF','#6E917F','#4B75B3','0','0','0',NULL),(3,'Storage','Storage',600,200,1024,0,NULL,'#FFFFFF','#F3F6F6','#3C3334','#800000','#808080','#000000','#FFFFFF','#6E917F','#4B75B3','0','0','0',NULL),(4,'Memory','Memory',600,200,1024,0,NULL,'#FFFFFF','#F3F6F6','#3C3334','#800000','#808080','#000000','#FFFFFF','#6E917F','#4B75B3','0','0','0',NULL),(5,'CPU','CPU (%)',600,200,1000,0,NULL,'#FFFFFF','#F3F6F6','#3C3334','#800000','#808080','#000000','#FFFFFF','#6E917F','#4B75B3','0','0','0',NULL),(6,'Uptime','Uptime',600,200,1000,0,NULL,'#FFFFFF','#F3F6F6','#3C3334','#800000','#808080','#000000','#FFFFFF','#6E917F','#4B75B3','0','0','0',NULL),(7,'Traffic','Traffic',600,200,1000,NULL,NULL,'#FFFFFF','#F3F6F6','#3C3334','#800000','#808080','#000000','#FFFFFF','#6E917F','#4B75B3','0','0','0',NULL),(8,'Load_Average','Load_Average',600,200,1000,0,NULL,'#FFFFFF','#F3F6F6','#3C3334','#800000','#808080','#000000','#FFFFFF','#6E917F','#4B75B3','0','0','0',NULL),(9,'OSL','OSL',600,200,1000,0,NULL,'#FFFFFF','#F3F6F6','#3C3334','#800000','#808080','#000000','#FFFFFF','#6E917F','#4B75B3','0','0','0',NULL);
/*!40000 ALTER TABLE `giv_graphs_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host`
--

DROP TABLE IF EXISTS `host`;
CREATE TABLE `host` (
  `host_id` int(11) NOT NULL auto_increment,
  `host_template_model_htm_id` int(11) default NULL,
  `command_command_id` int(11) default NULL,
  `command_command_id_arg1` text,
  `timeperiod_tp_id` int(11) default NULL,
  `timeperiod_tp_id2` int(11) default NULL,
  `purge_policy_id` int(11) default NULL,
  `command_command_id2` int(11) default NULL,
  `command_command_id_arg2` text,
  `host_name` varchar(200) default NULL,
  `host_alias` varchar(200) default NULL,
  `host_address` varchar(255) default NULL,
  `host_max_check_attempts` int(11) default NULL,
  `host_check_interval` int(11) default NULL,
  `host_active_checks_enabled` enum('0','1','2') default NULL,
  `host_passive_checks_enabled` enum('0','1','2') default NULL,
  `host_checks_enabled` enum('0','1','2') default NULL,
  `host_obsess_over_host` enum('0','1','2') default NULL,
  `host_check_freshness` enum('0','1','2') default NULL,
  `host_freshness_threshold` int(11) default NULL,
  `host_event_handler_enabled` enum('0','1','2') default NULL,
  `host_low_flap_threshold` int(11) default NULL,
  `host_high_flap_threshold` int(11) default NULL,
  `host_flap_detection_enabled` enum('0','1','2') default NULL,
  `host_process_perf_data` enum('0','1','2') default NULL,
  `host_retain_status_information` enum('0','1','2') default NULL,
  `host_retain_nonstatus_information` enum('0','1','2') default NULL,
  `host_notification_interval` int(11) default NULL,
  `host_notification_options` varchar(200) default NULL,
  `host_notifications_enabled` enum('0','1','2') default NULL,
  `host_stalking_options` varchar(200) default NULL,
  `host_snmp_community` varchar(255) default NULL,
  `host_snmp_version` varchar(255) default NULL,
  `host_comment` text,
  `host_register` enum('0','1') default NULL,
  `host_activate` enum('0','1') default '1',
  PRIMARY KEY  (`host_id`),
  KEY `htm_index` (`host_template_model_htm_id`),
  KEY `cmd1_index` (`command_command_id`),
  KEY `cmd2_index` (`command_command_id2`),
  KEY `tp1_index` (`timeperiod_tp_id`),
  KEY `tp2_index` (`timeperiod_tp_id2`),
  KEY `name_index` (`host_name`),
  KEY `alias_index` (`host_alias`),
  KEY `purge_index` (`purge_policy_id`),
  CONSTRAINT `host_ibfk_1` FOREIGN KEY (`command_command_id`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `host_ibfk_2` FOREIGN KEY (`command_command_id2`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `host_ibfk_3` FOREIGN KEY (`timeperiod_tp_id`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `host_ibfk_4` FOREIGN KEY (`timeperiod_tp_id2`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `host_ibfk_5` FOREIGN KEY (`purge_policy_id`) REFERENCES `purge_policy` (`purge_policy_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `host`
--

LOCK TABLES `host` WRITE;
/*!40000 ALTER TABLE `host` DISABLE KEYS */;
INSERT INTO `host` VALUES (1,NULL,1,NULL,1,1,NULL,NULL,NULL,'localhost','localhost','127.0.0.1',3,5,'2','2','2','2','2',NULL,'2',NULL,NULL,'2','2','2','2',5,'d,u','2',NULL,NULL,'0',NULL,'1','1');
/*!40000 ALTER TABLE `host` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host_hostparent_relation`
--

DROP TABLE IF EXISTS `host_hostparent_relation`;
CREATE TABLE `host_hostparent_relation` (
  `hhr_id` int(11) NOT NULL auto_increment,
  `host_parent_hp_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`hhr_id`),
  KEY `host1_index` (`host_parent_hp_id`),
  KEY `host2_index` (`host_host_id`),
  CONSTRAINT `host_hostparent_relation_ibfk_1` FOREIGN KEY (`host_parent_hp_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `host_hostparent_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `host_hostparent_relation`
--

LOCK TABLES `host_hostparent_relation` WRITE;
/*!40000 ALTER TABLE `host_hostparent_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `host_hostparent_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host_service_relation`
--

DROP TABLE IF EXISTS `host_service_relation`;
CREATE TABLE `host_service_relation` (
  `hsr_id` int(11) NOT NULL auto_increment,
  `hostgroup_hg_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  PRIMARY KEY  (`hsr_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  KEY `host_index` (`host_host_id`),
  KEY `servicegroup_index` (`servicegroup_sg_id`),
  KEY `service_index` (`service_service_id`),
  CONSTRAINT `host_service_relation_ibfk_1` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE,
  CONSTRAINT `host_service_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `host_service_relation_ibfk_3` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE,
  CONSTRAINT `host_service_relation_ibfk_4` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `host_service_relation`
--

LOCK TABLES `host_service_relation` WRITE;
/*!40000 ALTER TABLE `host_service_relation` DISABLE KEYS */;
INSERT INTO `host_service_relation` VALUES (1,NULL,1,NULL,1),(2,NULL,1,NULL,2),(3,NULL,1,NULL,3),(4,NULL,1,NULL,4);
/*!40000 ALTER TABLE `host_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hostgroup`
--

DROP TABLE IF EXISTS `hostgroup`;
CREATE TABLE `hostgroup` (
  `hg_id` int(11) NOT NULL auto_increment,
  `hg_name` varchar(200) default NULL,
  `hg_alias` varchar(200) default NULL,
  `hg_snmp_community` varchar(255) default NULL,
  `hg_snmp_version` varchar(255) default NULL,
  `hg_comment` text,
  `hg_activate` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`hg_id`),
  KEY `name_index` (`hg_name`),
  KEY `alias_index` (`hg_alias`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `hostgroup`
--

LOCK TABLES `hostgroup` WRITE;
/*!40000 ALTER TABLE `hostgroup` DISABLE KEYS */;
INSERT INTO `hostgroup` VALUES (1,'local','local',NULL,NULL,NULL,'1');
/*!40000 ALTER TABLE `hostgroup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hostgroup_relation`
--

DROP TABLE IF EXISTS `hostgroup_relation`;
CREATE TABLE `hostgroup_relation` (
  `hgr_id` int(11) NOT NULL auto_increment,
  `hostgroup_hg_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`hgr_id`),
  KEY `hostgroup_index` (`hostgroup_hg_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `hostgroup_relation_ibfk_1` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE,
  CONSTRAINT `hostgroup_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `hostgroup_relation`
--

LOCK TABLES `hostgroup_relation` WRITE;
/*!40000 ALTER TABLE `hostgroup_relation` DISABLE KEYS */;
INSERT INTO `hostgroup_relation` VALUES (2,1,1);
/*!40000 ALTER TABLE `hostgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `inventory_index`
--

DROP TABLE IF EXISTS `inventory_index`;
CREATE TABLE `inventory_index` (
  `id` int(11) NOT NULL auto_increment,
  `host_id` int(11) default NULL,
  `name` varchar(254) default NULL,
  `contact` varchar(254) default NULL,
  `description` text,
  `location` varchar(254) default NULL,
  `manufacturer` varchar(254) default NULL,
  `serial_number` varchar(254) default NULL,
  `os` text,
  `os_revision` varchar(254) default NULL,
  `type_ressources` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `host_id` (`host_id`),
  KEY `manufacturer_index` (`type_ressources`),
  CONSTRAINT `inventory_index_ibfk_1` FOREIGN KEY (`host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `inventory_index_ibfk_2` FOREIGN KEY (`type_ressources`) REFERENCES `inventory_manufacturer` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `inventory_index`
--

LOCK TABLES `inventory_index` WRITE;
/*!40000 ALTER TABLE `inventory_index` DISABLE KEYS */;
/*!40000 ALTER TABLE `inventory_index` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `inventory_log`
--

DROP TABLE IF EXISTS `inventory_log`;
CREATE TABLE `inventory_log` (
  `id` int(11) NOT NULL auto_increment,
  `host_id` int(11) default NULL,
  `type` varchar(20) default NULL,
  `replaced_value` text,
  `value` text,
  `ctime` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `host_id` (`host_id`),
  CONSTRAINT `inventory_log_ibfk_1` FOREIGN KEY (`host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `inventory_log`
--

LOCK TABLES `inventory_log` WRITE;
/*!40000 ALTER TABLE `inventory_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `inventory_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `inventory_mac_address`
--

DROP TABLE IF EXISTS `inventory_mac_address`;
CREATE TABLE `inventory_mac_address` (
  `id` int(11) NOT NULL auto_increment,
  `mac_address_begin` varchar(8) default NULL,
  `manufacturer` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `manufacturer` (`manufacturer`),
  CONSTRAINT `inventory_mac_address_ibfk_1` FOREIGN KEY (`manufacturer`) REFERENCES `inventory_manufacturer` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=371 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `inventory_mac_address`
--

LOCK TABLES `inventory_mac_address` WRITE;
/*!40000 ALTER TABLE `inventory_mac_address` DISABLE KEYS */;
INSERT INTO `inventory_mac_address` VALUES (1,'00:00:0C',1),(2,'00:01:42',1),(3,'00:01:43',1),(4,'00:01:63',1),(5,'00:01:64',1),(6,'00:01:96',1),(7,'00:01:97',1),(8,'00:01:C7',1),(9,'00:01:C9',1),(10,'00:02:16',1),(11,'00:02:17',1),(12,'00:02:4A',1),(13,'00:02:4B',1),(14,'00:02:7D',1),(15,'00:02:7E',1),(16,'00:02:B9',1),(17,'00:02:BA',1),(18,'00:02:FC',1),(19,'00:02:FD',1),(20,'00:03:31',1),(21,'00:03:32',1),(22,'00:03:6B',1),(23,'00:03:6C',1),(24,'00:03:9F',1),(25,'00:03:A0',1),(26,'00:03:E3',1),(27,'00:03:E4',1),(28,'00:03:FD',1),(29,'00:03:FE',1),(30,'00:04:27',1),(31,'00:04:28',1),(32,'00:04:4D',1),(33,'00:04:4E',1),(34,'00:04:6D',1),(35,'00:04:6E',1),(36,'00:04:9A',1),(37,'00:04:9B',1),(38,'00:04:C0',1),(39,'00:04:C1',1),(40,'00:04:DD',1),(41,'00:04:DE',1),(42,'00:05:00',1),(43,'00:05:01',1),(44,'00:05:31',1),(45,'00:05:32',1),(46,'00:05:5E',1),(47,'00:05:5F',1),(48,'00:05:73',1),(49,'00:05:74',1),(50,'00:05:9A',1),(51,'00:05:9B',1),(52,'00:05:DC',1),(53,'00:05:DD',1),(54,'00:06:28',1),(55,'00:06:2A',1),(56,'00:06:52',1),(57,'00:06:53',1),(58,'00:06:7C',1),(59,'00:06:C1',1),(60,'00:06:D6',1),(61,'00:06:D7',1),(62,'00:07:01',1),(63,'00:07:0D',1),(64,'00:07:0E',1),(65,'00:07:4F',1),(66,'00:07:50',1),(67,'00:07:84',1),(68,'00:07:85',1),(69,'00:07:B3',1),(70,'00:07:B4',1),(71,'00:07:EB',1),(72,'00:07:EC',1),(73,'00:08:20',1),(74,'00:08:21',1),(75,'00:08:7C',1),(76,'00:08:7D',1),(77,'00:08:A3',1),(78,'00:08:A4',1),(79,'00:08:C2',1),(80,'00:08:E2',1),(81,'00:08:E3',1),(82,'00:09:11',1),(83,'00:09:12',1),(84,'00:09:43',1),(85,'00:09:44',1),(86,'00:09:7B',1),(87,'00:09:7C',1),(88,'00:09:B6',1),(89,'00:09:B7',1),(90,'00:09:E8',1),(91,'00:09:E9',1),(92,'00:0A:41',1),(93,'00:0A:42',1),(94,'00:0A:8A',1),(95,'00:0A:8B',1),(96,'00:0A:B7',1),(97,'00:0A:B8',1),(98,'00:0A:F3',1),(99,'00:0A:F4',1),(100,'00:0B:45',1),(101,'00:0B:46',1),(102,'00:0B:5F',1),(103,'00:0B:60',1),(104,'00:0B:BE',1),(105,'00:0B:BF',1),(106,'00:0B:FC',1),(107,'00:0B:FD',1),(108,'00:0C:30',1),(109,'00:0C:31',1),(110,'00:0C:85',1),(111,'00:0C:86',1),(112,'00:0C:CE',1),(113,'00:0C:CF',1),(114,'00:0D:28',1),(115,'00:0D:29',1),(116,'00:0D:65',1),(117,'00:0D:66',1),(118,'00:0E:38',1),(119,'00:0E:39',1),(120,'00:0E:83',1),(121,'00:0E:84',1),(122,'00:0E:D6',1),(123,'00:0E:D7',1),(124,'00:0F:23',1),(125,'00:0F:24',1),(126,'00:0F:34',1),(127,'00:0F:35',1),(128,'00:0F:8F',1),(129,'00:0F:90',1),(130,'00:0F:F7',1),(131,'00:0F:F8',1),(132,'00:10:07',1),(133,'00:10:0B',1),(134,'00:10:0D',1),(135,'00:10:11',1),(136,'00:10:14',1),(137,'00:10:1F',1),(138,'00:10:29',1),(139,'00:10:2F',1),(140,'00:10:54',1),(141,'00:10:79',1),(142,'00:10:7B',1),(143,'00:10:A6',1),(144,'00:10:F6',1),(145,'00:10:FF',1),(146,'00:11:20',1),(147,'00:11:21',1),(148,'00:11:5C',1),(149,'00:11:5D',1),(150,'00:11:92',1),(151,'00:11:93',1),(152,'00:11:BB',1),(153,'00:11:BC',1),(154,'00:12:00',1),(155,'00:12:01',1),(156,'00:12:17',1),(157,'00:12:43',1),(158,'00:12:44',1),(159,'00:12:7F',1),(160,'00:12:80',1),(161,'00:12:D9',1),(162,'00:12:DA',1),(163,'00:13:10',1),(164,'00:13:19',1),(165,'00:13:1A',1),(166,'00:13:5F',1),(167,'00:13:60',1),(168,'00:13:7F',1),(169,'00:13:80',1),(170,'00:13:C3',1),(171,'00:13:C4',1),(172,'00:14:1B',1),(173,'00:14:1C',1),(174,'00:14:69',1),(175,'00:14:6A',1),(176,'00:14:A8',1),(177,'00:14:A9',1),(178,'00:14:BF',1),(179,'00:14:F1',1),(180,'00:14:F2',1),(181,'00:15:2B',1),(182,'00:15:2C',1),(183,'00:15:62',1),(184,'00:15:63',1),(185,'00:15:C6',1),(186,'00:15:C7',1),(187,'00:15:F9',1),(188,'00:15:FA',1),(189,'00:16:46',1),(190,'00:16:47',1),(191,'00:16:9C',1),(192,'00:16:9D',1),(193,'00:16:B6',1),(194,'00:16:C7',1),(195,'00:16:C8',1),(196,'00:30:19',1),(197,'00:30:24',1),(198,'00:30:40',1),(199,'00:30:71',1),(200,'00:30:78',1),(201,'00:30:7B',1),(202,'00:30:80',1),(203,'00:30:85',1),(204,'00:30:94',1),(205,'00:30:96',1),(206,'00:30:A3',1),(207,'00:30:B6',1),(208,'00:30:F2',1),(209,'00:50:0B',1),(210,'00:50:0F',1),(211,'00:50:14',1),(212,'00:50:2A',1),(213,'00:50:3E',1),(214,'00:50:50',1),(215,'00:50:53',1),(216,'00:50:54',1),(217,'00:50:73',1),(218,'00:50:80',1),(219,'00:50:A2',1),(220,'00:50:A7',1),(221,'00:50:BD',1),(222,'00:50:D1',1),(223,'00:50:E2',1),(224,'00:50:F0',1),(225,'00:60:09',1),(226,'00:60:2F',1),(227,'00:60:3E',1),(228,'00:60:47',1),(229,'00:60:5C',1),(230,'00:60:70',1),(231,'00:60:83',1),(232,'00:80:1C',1),(233,'00:90:0C',1),(234,'00:90:21',1),(235,'00:90:2B',1),(236,'00:90:5F',1),(237,'00:90:6D',1),(238,'00:90:6F',1),(239,'00:90:86',1),(240,'00:90:92',1),(241,'00:90:A6',1),(242,'00:90:AB',1),(243,'00:90:B1',1),(244,'00:90:BF',1),(245,'00:90:D9',1),(246,'00:90:F2',1),(247,'00:B0:4A',1),(248,'00:B0:64',1),(249,'00:B0:8E',1),(250,'00:B0:C2',1),(251,'00:D0:06',1),(252,'00:D0:58',1),(253,'00:D0:63',1),(254,'00:D0:79',1),(255,'00:D0:90',1),(256,'00:D0:97',1),(257,'00:D0:BA',1),(258,'00:D0:BB',1),(259,'00:D0:BC',1),(260,'00:D0:C0',1),(261,'00:D0:D3',1),(262,'00:D0:E4',1),(263,'00:D0:FF',1),(264,'00:E0:14',1),(265,'00:E0:1E',1),(266,'00:E0:34',1),(267,'00:E0:4F',1),(268,'00:E0:8F',1),(269,'00:E0:A3',1),(270,'00:E0:B0',1),(271,'00:E0:F7',1),(272,'00:E0:F9',1),(273,'00:E0:FE',1),(274,'00:0D:BC',1),(275,'00:0D:BD',1),(276,'00:0D:EC',1),(277,'00:0D:ED',1),(278,'00:01:02',3),(279,'00:01:03',3),(280,'00:02:9C',3),(281,'00:04:0B',3),(282,'00:05:1A',3),(283,'00:06:8C',3),(284,'00:0A:04',3),(285,'00:0A:5E',3),(286,'00:0B:AC',3),(287,'00:0D:54',3),(288,'00:0E:6A',3),(289,'00:0F:CB',3),(290,'00:10:4B',3),(291,'00:10:5A',3),(292,'00:12:A9',3),(293,'00:14:7C',3),(294,'00:16:E0',3),(295,'00:20:AF',3),(296,'00:26:54',3),(297,'00:30:1E',3),(298,'00:50:04',3),(299,'00:50:99',3),(300,'00:50:DA',3),(301,'00:60:08',3),(302,'00:60:8C',3),(303,'00:60:97',3),(304,'00:90:04',3),(305,'00:A0:24',3),(306,'00:D0:96',3),(307,'00:D0:D8',3),(308,'02:60:60',3),(309,'02:60:8C',3),(310,'02:C0:8C',3),(311,'08:00:4E',3),(312,'00:00:63',2),(313,'00:06:0D',2),(314,'00:60:B0',2),(315,'08:00:09',2),(316,'10:00:90',2),(317,'00:0B:CD',2),(318,'00:01:E6',2),(319,'00:01:E7',2),(320,'00:04:EA',2),(321,'00:08:83',2),(322,'00:0A:57',2),(323,'00:10:83',2),(324,'00:30:C1',2),(325,'00:0E:7F',2),(326,'00:0F:20',2),(327,'00:11:0A',2),(328,'00:11:85',2),(329,'00:12:79',2),(330,'00:13:21',2),(331,'00:14:38',2),(332,'00:14:C2',2),(333,'00:15:60',2),(334,'00:16:35',2),(335,'00:30:6E',2),(336,'00:0D:9D',2),(337,'00:04:5A',4),(338,'00:06:25',4),(339,'00:0C:41',4),(340,'00:0F:66',4),(341,'00:12:17',4),(342,'00:13:10',4),(343,'00:14:BF',4),(344,'00:16:B6',4),(345,'00:00:CD',5),(346,'00:00:F4',5),(347,'00:01:71',5),(348,'00:03:AE',5),(349,'00:09:41',5),(350,'00:0A:47',5),(351,'00:0C:25',5),(352,'00:0C:46',5),(353,'00:0D:DA',5),(354,'00:11:30',5),(355,'00:15:77',5),(356,'00:20:58',5),(357,'00:30:84',5),(358,'00:90:99',5),(359,'00:A0:D2',5),(360,'00:06:5B',6),(361,'00:08:74',6),(362,'00:0B:DB',6),(363,'00:0D:56',6),(364,'00:11:43',6),(365,'00:12:3F',6),(366,'00:13:72',6),(367,'00:14:22',6),(368,'00:15:C5',6),(369,'00:B0:D0',6),(370,'00:C0:4F',6);
/*!40000 ALTER TABLE `inventory_mac_address` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `inventory_manufacturer`
--

DROP TABLE IF EXISTS `inventory_manufacturer`;
CREATE TABLE `inventory_manufacturer` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(254) default NULL,
  `alias` varchar(254) default NULL,
  `description` text,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `inventory_manufacturer`
--

LOCK TABLES `inventory_manufacturer` WRITE;
/*!40000 ALTER TABLE `inventory_manufacturer` DISABLE KEYS */;
INSERT INTO `inventory_manufacturer` VALUES (1,'cisco','Cisco Networks',NULL),(2,'hp','HP Networks',NULL),(3,'3com','3Com',NULL),(4,'ciscolinksys','Cisco-Linksys',NULL),(5,'allied','Allied Telesyn',NULL),(6,'dell','Dell',NULL);
/*!40000 ALTER TABLE `inventory_manufacturer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lca_define`
--

DROP TABLE IF EXISTS `lca_define`;
CREATE TABLE `lca_define` (
  `lca_id` int(11) NOT NULL auto_increment,
  `lca_name` varchar(255) default NULL,
  `lca_alias` varchar(255) default NULL,
  `lca_comment` text,
  `lca_hg_childs` enum('0','1') default NULL,
  `lca_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`lca_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `lca_define`
--

LOCK TABLES `lca_define` WRITE;
/*!40000 ALTER TABLE `lca_define` DISABLE KEYS */;
/*!40000 ALTER TABLE `lca_define` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lca_define_contactgroup_relation`
--

DROP TABLE IF EXISTS `lca_define_contactgroup_relation`;
CREATE TABLE `lca_define_contactgroup_relation` (
  `ldcgr_id` int(11) NOT NULL auto_increment,
  `lca_define_lca_id` int(11) default NULL,
  `contactgroup_cg_id` int(11) default NULL,
  PRIMARY KEY  (`ldcgr_id`),
  KEY `lca_index` (`lca_define_lca_id`),
  KEY `cg_index` (`contactgroup_cg_id`),
  CONSTRAINT `lca_define_contactgroup_relation_ibfk_1` FOREIGN KEY (`lca_define_lca_id`) REFERENCES `lca_define` (`lca_id`) ON DELETE CASCADE,
  CONSTRAINT `lca_define_contactgroup_relation_ibfk_2` FOREIGN KEY (`contactgroup_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `lca_define_contactgroup_relation`
--

LOCK TABLES `lca_define_contactgroup_relation` WRITE;
/*!40000 ALTER TABLE `lca_define_contactgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `lca_define_contactgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lca_define_host_relation`
--

DROP TABLE IF EXISTS `lca_define_host_relation`;
CREATE TABLE `lca_define_host_relation` (
  `ldhr_id` int(11) NOT NULL auto_increment,
  `lca_define_lca_id` int(11) default NULL,
  `host_host_id` int(11) default NULL,
  PRIMARY KEY  (`ldhr_id`),
  KEY `lca_index` (`lca_define_lca_id`),
  KEY `host_index` (`host_host_id`),
  CONSTRAINT `lca_define_host_relation_ibfk_1` FOREIGN KEY (`lca_define_lca_id`) REFERENCES `lca_define` (`lca_id`) ON DELETE CASCADE,
  CONSTRAINT `lca_define_host_relation_ibfk_2` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `lca_define_host_relation`
--

LOCK TABLES `lca_define_host_relation` WRITE;
/*!40000 ALTER TABLE `lca_define_host_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `lca_define_host_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lca_define_hostgroup_relation`
--

DROP TABLE IF EXISTS `lca_define_hostgroup_relation`;
CREATE TABLE `lca_define_hostgroup_relation` (
  `ldhgr_id` int(11) NOT NULL auto_increment,
  `lca_define_lca_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  PRIMARY KEY  (`ldhgr_id`),
  KEY `lca_index` (`lca_define_lca_id`),
  KEY `hg_index` (`hostgroup_hg_id`),
  CONSTRAINT `lca_define_hostgroup_relation_ibfk_1` FOREIGN KEY (`lca_define_lca_id`) REFERENCES `lca_define` (`lca_id`) ON DELETE CASCADE,
  CONSTRAINT `lca_define_hostgroup_relation_ibfk_2` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `lca_define_hostgroup_relation`
--

LOCK TABLES `lca_define_hostgroup_relation` WRITE;
/*!40000 ALTER TABLE `lca_define_hostgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `lca_define_hostgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lca_define_servicegroup_relation`
--

DROP TABLE IF EXISTS `lca_define_servicegroup_relation`;
CREATE TABLE `lca_define_servicegroup_relation` (
  `ldsgr_id` int(11) NOT NULL auto_increment,
  `lca_define_lca_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  PRIMARY KEY  (`ldsgr_id`),
  KEY `lca_index` (`lca_define_lca_id`),
  KEY `sg_index` (`servicegroup_sg_id`),
  CONSTRAINT `lca_define_servicegroup_relation_ibfk_1` FOREIGN KEY (`lca_define_lca_id`) REFERENCES `lca_define` (`lca_id`) ON DELETE CASCADE,
  CONSTRAINT `lca_define_servicegroup_relation_ibfk_2` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `lca_define_servicegroup_relation`
--

LOCK TABLES `lca_define_servicegroup_relation` WRITE;
/*!40000 ALTER TABLE `lca_define_servicegroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `lca_define_servicegroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lca_define_topology_relation`
--

DROP TABLE IF EXISTS `lca_define_topology_relation`;
CREATE TABLE `lca_define_topology_relation` (
  `ldtr_id` int(11) NOT NULL auto_increment,
  `lca_define_lca_id` int(11) default NULL,
  `topology_topology_id` int(11) default NULL,
  PRIMARY KEY  (`ldtr_id`),
  KEY `lca_index` (`lca_define_lca_id`),
  KEY `topology_index` (`topology_topology_id`),
  CONSTRAINT `lca_define_topology_relation_ibfk_1` FOREIGN KEY (`lca_define_lca_id`) REFERENCES `lca_define` (`lca_id`) ON DELETE CASCADE,
  CONSTRAINT `lca_define_topology_relation_ibfk_2` FOREIGN KEY (`topology_topology_id`) REFERENCES `topology` (`topology_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `lca_define_topology_relation`
--

LOCK TABLES `lca_define_topology_relation` WRITE;
/*!40000 ALTER TABLE `lca_define_topology_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `lca_define_topology_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `log_archive_file_name`
--

DROP TABLE IF EXISTS `log_archive_file_name`;
CREATE TABLE `log_archive_file_name` (
  `id_log_file` int(11) NOT NULL auto_increment,
  `file_name` varchar(200) default NULL,
  `date` int(11) default NULL,
  PRIMARY KEY  (`id_log_file`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `log_archive_file_name`
--

LOCK TABLES `log_archive_file_name` WRITE;
/*!40000 ALTER TABLE `log_archive_file_name` DISABLE KEYS */;
/*!40000 ALTER TABLE `log_archive_file_name` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `log_archive_host`
--

DROP TABLE IF EXISTS `log_archive_host`;
CREATE TABLE `log_archive_host` (
  `log_id` int(11) NOT NULL auto_increment,
  `host_id` int(11) default NULL,
  `UPTimeScheduled` int(11) default NULL,
  `UPnbEvent` int(11) default NULL,
  `UPTimeAverageAck` int(11) NOT NULL,
  `UPTimeAverageRecovery` int(11) NOT NULL,
  `DOWNTimeScheduled` int(11) default NULL,
  `DOWNnbEvent` int(11) default NULL,
  `DOWNTimeAverageAck` int(11) NOT NULL,
  `DOWNTimeAverageRecovery` int(11) NOT NULL,
  `UNREACHABLETimeScheduled` int(11) default NULL,
  `UNREACHABLEnbEvent` int(11) default NULL,
  `UNREACHABLETimeAverageAck` int(11) NOT NULL,
  `UNREACHABLETimeAverageRecovery` int(11) NOT NULL,
  `date_end` int(11) default NULL,
  `date_start` int(11) default NULL,
  PRIMARY KEY  (`log_id`),
  KEY `host_index` (`host_id`),
  KEY `date_end_index` (`date_end`),
  KEY `date_start_index` (`date_start`),
  CONSTRAINT `log_archive_host_ibfk_1` FOREIGN KEY (`host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `log_archive_host`
--

LOCK TABLES `log_archive_host` WRITE;
/*!40000 ALTER TABLE `log_archive_host` DISABLE KEYS */;
/*!40000 ALTER TABLE `log_archive_host` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `log_archive_service`
--

DROP TABLE IF EXISTS `log_archive_service`;
CREATE TABLE `log_archive_service` (
  `log_id` int(11) NOT NULL auto_increment,
  `host_id` int(11) NOT NULL default '0',
  `service_id` int(11) NOT NULL default '0',
  `OKTimeScheduled` int(11) NOT NULL default '0',
  `OKnbEvent` int(11) NOT NULL default '0',
  `OKTimeAverageAck` int(11) NOT NULL,
  `OKTimeAverageRecovery` int(11) NOT NULL,
  `WARNINGTimeScheduled` int(11) NOT NULL default '0',
  `WARNINGnbEvent` int(11) NOT NULL default '0',
  `WARNINGTimeAverageAck` int(11) NOT NULL,
  `WARNINGTimeAverageRecovery` int(11) NOT NULL,
  `UNKNOWNTimeScheduled` int(11) NOT NULL default '0',
  `UNKNOWNnbEvent` int(11) NOT NULL default '0',
  `UNKNOWNTimeAverageAck` int(11) NOT NULL,
  `UNKNOWNTimeAverageRecovery` int(11) NOT NULL,
  `CRITICALTimeScheduled` int(11) NOT NULL default '0',
  `CRITICALnbEvent` int(11) NOT NULL default '0',
  `CRITICALTimeAverageAck` int(11) NOT NULL,
  `CRITICALTimeAverageRecovery` int(11) NOT NULL,
  `UNDETERMINATETimeScheduled` int(11) NOT NULL default '0',
  `UNDETERMINATETimeUnScheduled` int(11) NOT NULL default '0',
  `date_start` int(11) default NULL,
  `date_end` int(11) default NULL,
  PRIMARY KEY  (`log_id`),
  KEY `host_index` (`host_id`),
  KEY `service_index` (`service_id`),
  KEY `date_end_index` (`date_end`),
  KEY `date_start_index` (`date_start`),
  CONSTRAINT `log_archive_service_ibfk_1` FOREIGN KEY (`host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `log_archive_service_ibfk_2` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `log_archive_service`
--

LOCK TABLES `log_archive_service` WRITE;
/*!40000 ALTER TABLE `log_archive_service` DISABLE KEYS */;
/*!40000 ALTER TABLE `log_archive_service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `logs`
--

DROP TABLE IF EXISTS `logs`;
CREATE TABLE `logs` (
  `host` varchar(128) default NULL,
  `facility` varchar(10) default NULL,
  `priority` varchar(10) default NULL,
  `level` varchar(10) default NULL,
  `tag` varchar(10) default NULL,
  `datetime` datetime default NULL,
  `program` varchar(15) default NULL,
  `msg` text,
  `seq` bigint(20) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`seq`),
  KEY `host` (`host`),
  KEY `program` (`program`),
  KEY `datetime` (`datetime`),
  KEY `priority` (`priority`),
  KEY `facility` (`facility`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `logs`
--

LOCK TABLES `logs` WRITE;
/*!40000 ALTER TABLE `logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_contactgroup_relation`
--

DROP TABLE IF EXISTS `meta_contactgroup_relation`;
CREATE TABLE `meta_contactgroup_relation` (
  `mcr_id` int(11) NOT NULL auto_increment,
  `meta_id` int(11) default NULL,
  `cg_cg_id` int(11) default NULL,
  PRIMARY KEY  (`mcr_id`),
  KEY `meta_index` (`meta_id`),
  KEY `cg_index` (`cg_cg_id`),
  CONSTRAINT `meta_contactgroup_relation_ibfk_1` FOREIGN KEY (`meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE,
  CONSTRAINT `meta_contactgroup_relation_ibfk_2` FOREIGN KEY (`cg_cg_id`) REFERENCES `contactgroup` (`cg_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `meta_contactgroup_relation`
--

LOCK TABLES `meta_contactgroup_relation` WRITE;
/*!40000 ALTER TABLE `meta_contactgroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `meta_contactgroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_service`
--

DROP TABLE IF EXISTS `meta_service`;
CREATE TABLE `meta_service` (
  `meta_id` int(11) NOT NULL auto_increment,
  `meta_name` varchar(254) default NULL,
  `meta_display` varchar(254) default NULL,
  `check_period` int(11) default NULL,
  `max_check_attempts` int(11) default NULL,
  `normal_check_interval` int(11) default NULL,
  `retry_check_interval` int(11) default NULL,
  `notification_interval` int(11) default NULL,
  `notification_period` int(11) default NULL,
  `notification_options` varchar(255) default NULL,
  `notifications_enabled` enum('0','1','2') default NULL,
  `calcul_type` enum('SOM','AVE','MIN','MAX') default NULL,
  `meta_select_mode` enum('1','2') default '1',
  `regexp_str` varchar(254) default NULL,
  `metric` varchar(255) default NULL,
  `warning` varchar(254) default NULL,
  `critical` varchar(254) default NULL,
  `graph_id` int(11) default NULL,
  `meta_comment` text,
  `meta_activate` enum('0','1') default NULL,
  PRIMARY KEY  (`meta_id`),
  KEY `name_index` (`meta_name`),
  KEY `check_period_index` (`check_period`),
  KEY `notification_period_index` (`notification_period`),
  KEY `graph_index` (`graph_id`),
  CONSTRAINT `meta_service_ibfk_1` FOREIGN KEY (`check_period`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `meta_service_ibfk_2` FOREIGN KEY (`notification_period`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `meta_service_ibfk_3` FOREIGN KEY (`graph_id`) REFERENCES `giv_graphs_template` (`graph_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `meta_service`
--

LOCK TABLES `meta_service` WRITE;
/*!40000 ALTER TABLE `meta_service` DISABLE KEYS */;
/*!40000 ALTER TABLE `meta_service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_service_relation`
--

DROP TABLE IF EXISTS `meta_service_relation`;
CREATE TABLE `meta_service_relation` (
  `msr_id` int(11) NOT NULL auto_increment,
  `meta_id` int(11) default NULL,
  `host_id` int(11) default NULL,
  `metric_id` int(11) default NULL,
  `msr_comment` text,
  `activate` enum('0','1') default NULL,
  PRIMARY KEY  (`msr_id`),
  KEY `meta_index` (`meta_id`),
  KEY `metric_index` (`metric_id`),
  KEY `host_index` (`host_id`),
  CONSTRAINT `meta_service_relation_ibfk_1` FOREIGN KEY (`host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `meta_service_relation_ibfk_2` FOREIGN KEY (`meta_id`) REFERENCES `meta_service` (`meta_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `meta_service_relation`
--

LOCK TABLES `meta_service_relation` WRITE;
/*!40000 ALTER TABLE `meta_service_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `meta_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modules_informations`
--

DROP TABLE IF EXISTS `modules_informations`;
CREATE TABLE `modules_informations` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `rname` varchar(255) default NULL,
  `mod_release` varchar(255) default NULL,
  `is_removeable` enum('0','1') default NULL,
  `infos` text,
  `author` varchar(255) default NULL,
  `lang_files` enum('0','1') default NULL,
  `sql_files` enum('0','1') default NULL,
  `php_files` enum('0','1') default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `modules_informations`
--

LOCK TABLES `modules_informations` WRITE;
/*!40000 ALTER TABLE `modules_informations` DISABLE KEYS */;
/*!40000 ALTER TABLE `modules_informations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nagios_macro`
--

DROP TABLE IF EXISTS `nagios_macro`;
CREATE TABLE `nagios_macro` (
  `macro_id` int(11) NOT NULL auto_increment,
  `macro_name` varchar(255) default NULL,
  PRIMARY KEY  (`macro_id`)
) ENGINE=InnoDB AUTO_INCREMENT=101 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `nagios_macro`
--

LOCK TABLES `nagios_macro` WRITE;
/*!40000 ALTER TABLE `nagios_macro` DISABLE KEYS */;
INSERT INTO `nagios_macro` VALUES (1,'$HOSTNAME$'),(2,'$HOSTALIAS$'),(3,'$HOSTADDRESS$'),(4,'$HOSTSTATE$'),(5,'$HOSTSTATEID$'),(6,'$HOSTSTATETYPE$'),(7,'$HOSTATTEMPT$'),(8,'$HOSTLATENCY$'),(9,'$HOSTEXECUTIONTIME$'),(10,'$HOSTDURATION$'),(11,'$HOSTDURATIONSEC$'),(12,'$HOSTDOWNTIME$'),(13,'$HOSTPERCENTCHANGE$'),(14,'$HOSTGROUPNAME$'),(15,'$HOSTGROUPALIAS$'),(16,'$LASTHOSTCHECK$'),(17,'$LASTHOSTSTATECHANGE$'),(18,'$LASTHOSTUP$'),(19,'$LASTHOSTDOWN$'),(20,'$LASTHOSTUNREACHABLE$'),(21,'$HOSTOUTPUT$'),(22,'$HOSTPERFDATA$'),(23,'$HOSTCHECKCOMMAND$'),(24,'$HOSTACKAUTHOR$'),(25,'$HOSTACKCOMMENT$'),(26,'$HOSTACTIONURL$'),(27,'$HOSTNOTESURL$'),(28,'$HOSTNOTES$'),(29,'$SERVICEDESC$'),(30,'$SERVICESTATE$'),(31,'$SERVICESTATEID$'),(32,'$SERVICESTATETYPE$'),(33,'$SERVICEATTEMPT$'),(34,'$SERVICELATENCY$'),(35,'$SERVICEEXECUTIONTIME$'),(36,'$SERVICEDURATION$'),(37,'$SERVICEDURATIONSEC$'),(38,'$SERVICEDOWNTIME$'),(39,'$SERVICEPERCENTCHANGE$'),(40,'$SERVICEGROUPNAME$'),(41,'$SERVICEGROUPALIAS$'),(42,'$LASTSERVICECHECK$'),(43,'$LASTSERVICESTATECHANGE$'),(44,'$LASTSERVICEOK$'),(45,'$LASTSERVICEWARNING$'),(46,'$LASTSERVICEUNKNOWN$'),(47,'$LASTSERVICECRITICAL$'),(48,'$SERVICEOUTPUT$'),(49,'$SERVICEPERFDATA$'),(50,'$SERVICECHECKCOMMAND$'),(51,'$SERVICEACKAUTHOR$'),(52,'$SERVICEACKCOMMENT$'),(53,'$SERVICEACTIONURL$'),(54,'$SERVICENOTESURL$'),(55,'$SERVICENOTES$'),(56,'$TOTALHOSTSUP$'),(57,'$TOTALHOSTSDOWN$'),(58,'$TOTALHOSTSUNREACHABLE$'),(59,'$TOTALHOSTSDOWNUNHANDLED$'),(60,'$TOTALHOSTSUNREACHABLEUNHANDLED$ 	'),(61,'$TOTALHOSTPROBLEMS$'),(62,'$TOTALHOSTPROBLEMSUNHANDLED$'),(63,'$TOTALSERVICESOK$'),(64,'$TOTALSERVICESWARNING$'),(65,'$TOTALSERVICESCRITICAL$'),(66,'$TOTALSERVICESUNKNOWN$'),(67,'$TOTALSERVICESWARNINGUNHANDLED$'),(68,'$TOTALSERVICESCRITICALUNHANDLED$'),(69,'$TOTALSERVICESUNKNOWNUNHANDLED$'),(70,'$TOTALSERVICEPROBLEMS$'),(71,'$TOTALSERVICEPROBLEMSUNHANDLED$'),(72,'$NOTIFICATIONTYPE$'),(73,'$NOTIFICATIONNUMBER$'),(74,'$CONTACTNAME$'),(75,'$CONTACTALIAS$'),(76,'$CONTACTEMAIL$'),(77,'$CONTACTPAGER$'),(78,'$CONTACTADDRESSn$'),(79,'$LONGDATETIME$'),(80,'$SHORTDATETIME$'),(81,'$DATE$'),(82,'$TIME$'),(83,'$TIMET$'),(84,'$MAINCONFIGFILE$'),(85,'$STATUSDATAFILE$'),(86,'$COMMENTDATAFILE$'),(87,'$DOWNTIMEDATAFILE$'),(88,'$RETENTIONDATAFILE$'),(89,'$OBJECTCACHEFILE$'),(90,'$TEMPFILE$'),(91,'$LOGFILE$'),(92,'$RESOURCEFILE$'),(93,'$COMMANDFILE$'),(94,'$HOSTPERFDATAFILE$'),(95,'$SERVICEPERFDATAFILE$'),(96,'$PROCESSSTARTTIME$'),(97,'$ADMINEMAIL$'),(98,'$ADMINPAGER$'),(99,'$ARGn$'),(100,'$USERn$');
/*!40000 ALTER TABLE `nagios_macro` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nagios_server`
--

DROP TABLE IF EXISTS `nagios_server`;
CREATE TABLE `nagios_server` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(40) default NULL,
  `last_restart` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `nagios_server`
--

LOCK TABLES `nagios_server` WRITE;
/*!40000 ALTER TABLE `nagios_server` DISABLE KEYS */;
INSERT INTO `nagios_server` VALUES (1,'Oreon Nagios',1213082085);
/*!40000 ALTER TABLE `nagios_server` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ods_view_details`
--

DROP TABLE IF EXISTS `ods_view_details`;
CREATE TABLE `ods_view_details` (
  `dv_id` int(11) NOT NULL auto_increment,
  `index_id` int(11) default NULL,
  `metric_id` int(11) default NULL,
  `contact_id` int(11) default NULL,
  `all_user` enum('0','1') default NULL,
  PRIMARY KEY  (`dv_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `ods_view_details`
--

LOCK TABLES `ods_view_details` WRITE;
/*!40000 ALTER TABLE `ods_view_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `ods_view_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `oreon_informations`
--

DROP TABLE IF EXISTS `oreon_informations`;
CREATE TABLE `oreon_informations` (
  `key` varchar(25) default NULL,
  `value` varchar(25) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `oreon_informations`
--

LOCK TABLES `oreon_informations` WRITE;
/*!40000 ALTER TABLE `oreon_informations` DISABLE KEYS */;
INSERT INTO `oreon_informations` VALUES ('version','1.4.2.7');
/*!40000 ALTER TABLE `oreon_informations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `purge_policy`
--

DROP TABLE IF EXISTS `purge_policy`;
CREATE TABLE `purge_policy` (
  `purge_policy_id` int(11) NOT NULL auto_increment,
  `purge_policy_name` varchar(255) default NULL,
  `purge_policy_alias` varchar(255) default NULL,
  `purge_policy_retention` int(11) default NULL,
  `purge_policy_raw` enum('0','1') default '0',
  `purge_policy_bin` enum('0','1') default '0',
  `purge_policy_metric` enum('0','1') default '0',
  `purge_policy_service` enum('0','1') default '0',
  `purge_policy_host` enum('0','1') default '0',
  `purge_policy_comment` text,
  PRIMARY KEY  (`purge_policy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `purge_policy`
--

LOCK TABLES `purge_policy` WRITE;
/*!40000 ALTER TABLE `purge_policy` DISABLE KEYS */;
/*!40000 ALTER TABLE `purge_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwm_host_link_relation`
--

DROP TABLE IF EXISTS `pwm_host_link_relation`;
CREATE TABLE `pwm_host_link_relation` (
  `phlr_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  `node_start_id` varchar(255) default NULL,
  `node_end_id` varchar(255) default NULL,
  PRIMARY KEY  (`phlr_id`),
  KEY `host_index` (`host_host_id`),
  KEY `service_index` (`service_service_id`),
  KEY `node_start_index` (`node_start_id`),
  KEY `node_end_index` (`node_end_id`),
  CONSTRAINT `pwm_host_link_relation_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `pwm_host_link_relation_ibfk_2` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `pwm_host_link_relation_ibfk_3` FOREIGN KEY (`node_start_id`) REFERENCES `pwm_host_node_relation` (`node_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pwm_host_link_relation`
--

LOCK TABLES `pwm_host_link_relation` WRITE;
/*!40000 ALTER TABLE `pwm_host_link_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `pwm_host_link_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwm_host_node_relation`
--

DROP TABLE IF EXISTS `pwm_host_node_relation`;
CREATE TABLE `pwm_host_node_relation` (
  `phnr_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `node_id` varchar(255) default NULL,
  PRIMARY KEY  (`phnr_id`),
  KEY `host_index` (`host_host_id`),
  KEY `node_index` (`node_id`),
  CONSTRAINT `pwm_host_node_relation_ibfk_1` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pwm_host_node_relation`
--

LOCK TABLES `pwm_host_node_relation` WRITE;
/*!40000 ALTER TABLE `pwm_host_node_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `pwm_host_node_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pwm_maps`
--

DROP TABLE IF EXISTS `pwm_maps`;
CREATE TABLE `pwm_maps` (
  `pwm_id` int(11) NOT NULL auto_increment,
  `pwm_name` varchar(255) default NULL,
  `pwm_alias` varchar(255) default NULL,
  `pwm_comment` text,
  PRIMARY KEY  (`pwm_id`),
  KEY `name_index` (`pwm_name`),
  KEY `alias_index` (`pwm_alias`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pwm_maps`
--

LOCK TABLES `pwm_maps` WRITE;
/*!40000 ALTER TABLE `pwm_maps` DISABLE KEYS */;
/*!40000 ALTER TABLE `pwm_maps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reporting_diff_email`
--

DROP TABLE IF EXISTS `reporting_diff_email`;
CREATE TABLE `reporting_diff_email` (
  `rtde_id` int(11) NOT NULL auto_increment,
  `email` varchar(255) default NULL,
  `format` enum('1','2') default '2',
  `comment` text,
  `activate` enum('0','1') default NULL,
  PRIMARY KEY  (`rtde_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `reporting_diff_email`
--

LOCK TABLES `reporting_diff_email` WRITE;
/*!40000 ALTER TABLE `reporting_diff_email` DISABLE KEYS */;
/*!40000 ALTER TABLE `reporting_diff_email` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reporting_diff_list`
--

DROP TABLE IF EXISTS `reporting_diff_list`;
CREATE TABLE `reporting_diff_list` (
  `rtdl_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `tp_id` int(11) default NULL,
  `activate` enum('0','1') default NULL,
  `comment` text,
  PRIMARY KEY  (`rtdl_id`),
  KEY `timeperiod_index` (`tp_id`),
  KEY `name_index` (`name`),
  CONSTRAINT `reporting_diff_list_ibfk_1` FOREIGN KEY (`tp_id`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `reporting_diff_list`
--

LOCK TABLES `reporting_diff_list` WRITE;
/*!40000 ALTER TABLE `reporting_diff_list` DISABLE KEYS */;
/*!40000 ALTER TABLE `reporting_diff_list` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `reporting_email_list_relation`
--

DROP TABLE IF EXISTS `reporting_email_list_relation`;
CREATE TABLE `reporting_email_list_relation` (
  `rtelr_id` int(11) NOT NULL auto_increment,
  `rtdl_id` int(11) default NULL,
  `rtde_id` int(11) default NULL,
  `oreon_contact` enum('0','1') default '0',
  PRIMARY KEY  (`rtelr_id`),
  KEY `list_index` (`rtdl_id`),
  KEY `email_index` (`rtde_id`),
  CONSTRAINT `reporting_email_list_relation_ibfk_1` FOREIGN KEY (`rtdl_id`) REFERENCES `reporting_diff_list` (`rtdl_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `reporting_email_list_relation`
--

LOCK TABLES `reporting_email_list_relation` WRITE;
/*!40000 ALTER TABLE `reporting_email_list_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `reporting_email_list_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `search_cache`
--

DROP TABLE IF EXISTS `search_cache`;
CREATE TABLE `search_cache` (
  `tablename` varchar(32) default NULL,
  `type` enum('HOST','FACILITY','PROGRAM') default NULL,
  `value` varchar(128) default NULL,
  `updatetime` datetime default NULL,
  KEY `type_name` (`type`,`tablename`)
) ENGINE=MEMORY DEFAULT CHARSET=latin1;

--
-- Dumping data for table `search_cache`
--

LOCK TABLES `search_cache` WRITE;
/*!40000 ALTER TABLE `search_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `search_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `service`
--

DROP TABLE IF EXISTS `service`;
CREATE TABLE `service` (
  `service_id` int(11) NOT NULL auto_increment,
  `service_template_model_stm_id` int(11) default NULL,
  `command_command_id` int(11) default NULL,
  `timeperiod_tp_id` int(11) default NULL,
  `command_command_id2` int(11) default NULL,
  `timeperiod_tp_id2` int(11) default NULL,
  `purge_policy_id` int(11) default NULL,
  `service_description` varchar(200) default NULL,
  `service_alias` varchar(255) default NULL,
  `service_is_volatile` enum('0','1','2') default '2',
  `service_max_check_attempts` int(11) default NULL,
  `service_normal_check_interval` int(11) default NULL,
  `service_retry_check_interval` int(11) default NULL,
  `service_active_checks_enabled` enum('0','1','2') default '2',
  `service_passive_checks_enabled` enum('0','1','2') default '2',
  `service_parallelize_check` enum('0','1','2') default '2',
  `service_obsess_over_service` enum('0','1','2') default '2',
  `service_check_freshness` enum('0','1','2') default '2',
  `service_freshness_threshold` int(11) default NULL,
  `service_event_handler_enabled` enum('0','1','2') default '2',
  `service_low_flap_threshold` int(11) default NULL,
  `service_high_flap_threshold` int(11) default NULL,
  `service_flap_detection_enabled` enum('0','1','2') default '2',
  `service_process_perf_data` enum('0','1','2') default '2',
  `service_retain_status_information` enum('0','1','2') default '2',
  `service_retain_nonstatus_information` enum('0','1','2') default '2',
  `service_notification_interval` int(11) default NULL,
  `service_notification_options` varchar(200) default NULL,
  `service_notifications_enabled` enum('0','1','2') default '2',
  `service_stalking_options` varchar(200) default NULL,
  `service_comment` text,
  `command_command_id_arg` text,
  `command_command_id_arg2` text,
  `service_register` enum('0','1') NOT NULL default '0',
  `service_activate` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`service_id`),
  KEY `stm_index` (`service_template_model_stm_id`),
  KEY `cmd1_index` (`command_command_id`),
  KEY `cmd2_index` (`command_command_id2`),
  KEY `tp1_index` (`timeperiod_tp_id`),
  KEY `tp2_index` (`timeperiod_tp_id2`),
  KEY `description_index` (`service_description`),
  KEY `purge_index` (`purge_policy_id`),
  CONSTRAINT `service_ibfk_1` FOREIGN KEY (`command_command_id`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `service_ibfk_2` FOREIGN KEY (`command_command_id2`) REFERENCES `command` (`command_id`) ON DELETE SET NULL,
  CONSTRAINT `service_ibfk_3` FOREIGN KEY (`timeperiod_tp_id`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `service_ibfk_4` FOREIGN KEY (`timeperiod_tp_id2`) REFERENCES `timeperiod` (`tp_id`) ON DELETE SET NULL,
  CONSTRAINT `service_ibfk_5` FOREIGN KEY (`purge_policy_id`) REFERENCES `purge_policy` (`purge_policy_id`) ON DELETE SET NULL
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `service`
--

LOCK TABLES `service` WRITE;
/*!40000 ALTER TABLE `service` DISABLE KEYS */;
INSERT INTO `service` VALUES (1,NULL,15,1,NULL,1,NULL,'local_swap',NULL,'2',3,5,5,'2','2','2','2','2',NULL,'2',NULL,NULL,'2','1','2','2',5,'w,u,c','2',NULL,NULL,'!50!25',NULL,'1','1'),(2,NULL,16,1,NULL,1,NULL,'local_disk_root',NULL,'2',3,5,5,'2','2','2','2','2',NULL,'2',NULL,NULL,'2','1','2','2',5,'w,u,c','2',NULL,NULL,'!#S#!25!10',NULL,'1','1'),(3,NULL,17,1,NULL,1,NULL,'local_load',NULL,'2',3,5,5,'2','2','2','2','2',NULL,'2',NULL,NULL,'2','1','2','2',5,'w,u,c','2',NULL,NULL,'!5!10',NULL,'1','1'),(4,NULL,19,1,NULL,1,NULL,'local_users',NULL,'2',3,5,5,'2','2','2','2','2',NULL,'2',NULL,NULL,'2','1','2','2',5,'w,u,c','2',NULL,NULL,'!25!50',NULL,'1','1');
/*!40000 ALTER TABLE `service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `servicegroup`
--

DROP TABLE IF EXISTS `servicegroup`;
CREATE TABLE `servicegroup` (
  `sg_id` int(11) NOT NULL auto_increment,
  `sg_name` varchar(200) default NULL,
  `sg_alias` varchar(200) default NULL,
  `sg_comment` text,
  `sg_activate` enum('0','1') NOT NULL default '1',
  PRIMARY KEY  (`sg_id`),
  KEY `name_index` (`sg_name`),
  KEY `alias_index` (`sg_alias`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `servicegroup`
--

LOCK TABLES `servicegroup` WRITE;
/*!40000 ALTER TABLE `servicegroup` DISABLE KEYS */;
/*!40000 ALTER TABLE `servicegroup` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `servicegroup_relation`
--

DROP TABLE IF EXISTS `servicegroup_relation`;
CREATE TABLE `servicegroup_relation` (
  `sgr_id` int(11) NOT NULL auto_increment,
  `host_host_id` int(11) default NULL,
  `hostgroup_hg_id` int(11) default NULL,
  `service_service_id` int(11) default NULL,
  `servicegroup_sg_id` int(11) default NULL,
  PRIMARY KEY  (`sgr_id`),
  KEY `service_index` (`service_service_id`),
  KEY `servicegroup_index` (`servicegroup_sg_id`),
  KEY `host_host_id` (`host_host_id`),
  KEY `hostgroup_hg_id` (`hostgroup_hg_id`),
  CONSTRAINT `servicegroup_relation_ibfk_10` FOREIGN KEY (`servicegroup_sg_id`) REFERENCES `servicegroup` (`sg_id`) ON DELETE CASCADE,
  CONSTRAINT `servicegroup_relation_ibfk_7` FOREIGN KEY (`host_host_id`) REFERENCES `host` (`host_id`) ON DELETE CASCADE,
  CONSTRAINT `servicegroup_relation_ibfk_8` FOREIGN KEY (`hostgroup_hg_id`) REFERENCES `hostgroup` (`hg_id`) ON DELETE CASCADE,
  CONSTRAINT `servicegroup_relation_ibfk_9` FOREIGN KEY (`service_service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `servicegroup_relation`
--

LOCK TABLES `servicegroup_relation` WRITE;
/*!40000 ALTER TABLE `servicegroup_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `servicegroup_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `session`
--

DROP TABLE IF EXISTS `session`;
CREATE TABLE `session` (
  `id` int(11) NOT NULL auto_increment,
  `session_id` varchar(40) default NULL,
  `user_id` int(11) default NULL,
  `current_page` int(11) default NULL,
  `last_reload` int(11) default NULL,
  `ip_address` varchar(16) default NULL,
  `s_nbHostsUp` int(11) default NULL,
  `s_nbHostsDown` int(11) default NULL,
  `s_nbHostsUnreachable` int(11) default NULL,
  `s_nbHostsPending` int(11) default NULL,
  `s_nbServicesOk` int(11) default NULL,
  `s_nbServicesWarning` int(11) default NULL,
  `s_nbServicesCritical` int(11) default NULL,
  `s_nbServicesPending` int(11) default NULL,
  `s_nbServicesUnknown` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `session`
--

LOCK TABLES `session` WRITE;
/*!40000 ALTER TABLE `session` DISABLE KEYS */;
/*!40000 ALTER TABLE `session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `syslogng_opt`
--

DROP TABLE IF EXISTS `syslogng_opt`;
CREATE TABLE `syslogng_opt` (
  `sopt_id` int(11) NOT NULL auto_increment,
  `syslogng_server` varchar(255) default NULL,
  `syslogng_db` varchar(255) default NULL,
  `syslogng_db_table` varchar(255) default NULL,
  `syslogng_server_db_user` varchar(255) default NULL,
  `syslogng_server_db_password` varchar(255) default NULL,
  PRIMARY KEY  (`sopt_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `syslogng_opt`
--

LOCK TABLES `syslogng_opt` WRITE;
/*!40000 ALTER TABLE `syslogng_opt` DISABLE KEYS */;
INSERT INTO `syslogng_opt` VALUES (1,'localhost','syslogng','logs',NULL,NULL);
/*!40000 ALTER TABLE `syslogng_opt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `timeperiod`
--

DROP TABLE IF EXISTS `timeperiod`;
CREATE TABLE `timeperiod` (
  `tp_id` int(11) NOT NULL auto_increment,
  `tp_name` varchar(200) default NULL,
  `tp_alias` varchar(200) default NULL,
  `tp_sunday` varchar(200) default NULL,
  `tp_monday` varchar(200) default NULL,
  `tp_tuesday` varchar(200) default NULL,
  `tp_wednesday` varchar(200) default NULL,
  `tp_thursday` varchar(200) default NULL,
  `tp_friday` varchar(200) default NULL,
  `tp_saturday` varchar(200) default NULL,
  PRIMARY KEY  (`tp_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `timeperiod`
--

LOCK TABLES `timeperiod` WRITE;
/*!40000 ALTER TABLE `timeperiod` DISABLE KEYS */;
INSERT INTO `timeperiod` VALUES (1,'24x7','24_Hours_A_Day,_7_Days_A_Week','00:00-24:00','00:00-24:00','00:00-24:00','00:00-24:00','00:00-24:00','00:00-24:00','00:00-24:00'),(2,'None','No Time Is A Good Time','','','','','','',''),(3,'Nonworkhours','Non-Work Hours','00:00-24:00','00:00-09:00,17:00-24:00','00:00-09:00,17:00-24:00','00:00-09:00,17:00-24:00','00:00-09:00,17:00-24:00','00:00-09:00,17:00-24:00','00:00-24:00'),(4,'Workhours','Work hours','','09:00-17:00','09:00-17:00','09:00-17:00','09:00-17:00','09:00-17:00','');
/*!40000 ALTER TABLE `timeperiod` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `topology`
--

DROP TABLE IF EXISTS `topology`;
CREATE TABLE `topology` (
  `topology_id` int(11) NOT NULL auto_increment,
  `topology_name` varchar(255) default NULL,
  `topology_icone` varchar(255) default NULL,
  `topology_parent` int(11) default NULL,
  `topology_page` int(11) default NULL,
  `topology_order` int(11) default NULL,
  `topology_group` int(11) default NULL,
  `topology_url` varchar(255) default NULL,
  `topology_url_opt` varchar(255) default NULL,
  `topology_popup` enum('0','1') default NULL,
  `topology_modules` enum('0','1') default NULL,
  `topology_show` enum('0','1') default '1',
  `topology_style_class` varchar(255) default NULL,
  `topology_style_id` varchar(255) default NULL,
  `topology_OnClick` varchar(255) default NULL,
  PRIMARY KEY  (`topology_id`),
  KEY `topology_page` (`topology_page`)
) ENGINE=InnoDB AUTO_INCREMENT=197 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `topology`
--

LOCK TABLES `topology` WRITE;
/*!40000 ALTER TABLE `topology` DISABLE KEYS */;
INSERT INTO `topology` VALUES (1,'m_home',NULL,NULL,1,10,1,'./include/home/home.php',NULL,'0','0','1',NULL,NULL,NULL),(2,'m_monitoring',NULL,NULL,2,20,1,NULL,'','0','0','1',NULL,NULL,NULL),(3,'m_reporting',NULL,NULL,3,30,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(4,'m_views',NULL,NULL,4,40,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(5,'m_options',NULL,NULL,5,50,1,NULL,'&o=c','0','0','1',NULL,NULL,NULL),(6,'m_configuration',NULL,NULL,6,60,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(7,'m_service_detail',NULL,202,NULL,NULL,7,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(8,'mon_details',NULL,202,NULL,NULL,8,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(9,'mon_details_HG',NULL,202,NULL,NULL,9,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(10,'m_meta_service',NULL,202,NULL,NULL,11,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(11,'mon_nagios',NULL,202,NULL,NULL,12,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(12,'mon_service_group',NULL,202,NULL,NULL,10,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(13,'m_perfparse',NULL,607,NULL,NULL,34,NULL,NULL,'0','0','1',NULL,NULL,NULL),(14,'m_nagios',NULL,607,NULL,NULL,33,NULL,NULL,'0','0','1',NULL,NULL,NULL),(15,'m_nagios',NULL,202,NULL,NULL,33,NULL,NULL,'0','0','1',NULL,NULL,NULL),(16,'m_nagios',NULL,203,NULL,NULL,34,NULL,NULL,'0','0','1',NULL,NULL,NULL),(17,'m_log_advanced',NULL,203,NULL,NULL,30,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(18,'m_log_lite',NULL,203,NULL,NULL,31,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(19,'m_host',NULL,2,201,20,1,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(20,'m_host_detail','./img/icones/16x16/server_network.gif',201,20102,20,1,'./include/monitoring/status/monitoringHost.php','&o=h',NULL,NULL,'1',NULL,NULL,NULL),(21,'m_hostgroup_detail','./img/icones/16x16/server_client.gif',201,20104,30,1,'./include/monitoring/status/monitoringHostGroup.php','&o=hg',NULL,NULL,'1',NULL,NULL,NULL),(22,'m_hosts_problems','./img/icones/16x16/server_network_problem.gif',201,20103,20,1,'./include/monitoring/status/monitoringHost.php','&o=hpb',NULL,NULL,'1',NULL,NULL,NULL),(23,'m_service',NULL,2,202,10,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(24,'mon_svc_all','./img/icones/16x16/row.gif',202,20201,20,7,'./include/monitoring/status/monitoringService.php','&o=svc','0','0','1',NULL,NULL,NULL),(25,'m_services_problems','./img/icones/16x16/row_delete.gif',202,20202,10,7,'./include/monitoring/status/monitoringService.php','&o=svcpb',NULL,NULL,'1',NULL,NULL,NULL),(26,'m_status_grid','./img/icones/16x16/services_grid.gif',202,20203,30,8,'./include/monitoring/status/monitoringService.php','&o=svcgrid','0','0','1',NULL,NULL,NULL),(27,'m_status_resume','./img/icones/16x16/table_view.gif',202,20204,40,8,'./include/monitoring/status/monitoringService.php','&o=svcOV','0','0','1',NULL,NULL,NULL),(28,'m_status_summary','./img/icones/16x16/column.gif',202,20205,50,8,'./include/monitoring/status/monitoringService.php','&o=svcSum','0','0','1',NULL,NULL,NULL),(29,'m_status_scheduling','./img/icones/16x16/stopwatch.gif',202,20207,60,33,'./include/monitoring/status/monitoringService.php','&o=svcSch','0','0','1',NULL,NULL,NULL),(30,'m_meta_service','./img/icones/16x16/calculator.gif',202,20206,61,11,'./include/monitoring/status/monitoringService.php','&o=meta','0','0','1',NULL,NULL,NULL),(31,'mon_svc_warning',NULL,20202,2020201,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svc_warning','0','0','1',NULL,NULL,NULL),(32,'mon_svc_critical',NULL,20202,2020202,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svc_critical','0','0','1',NULL,NULL,NULL),(33,'mon_svc_unknown',NULL,20202,2020203,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svc_unknown','0','0','1',NULL,NULL,NULL),(34,'mon_svc_ok',NULL,20201,2020101,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svc_ok','0','0','1',NULL,NULL,NULL),(35,'m_status_grid','./img/icones/16x16/services_grid.gif',202,20208,30,9,'./include/monitoring/status/monitoringService.php','&o=svcgridHG','0','0','1',NULL,NULL,NULL),(36,'m_status_resume','./img/icones/16x16/table_view.gif',202,20209,40,9,'./include/monitoring/status/monitoringService.php','&o=svcOVHG','0','0','1',NULL,NULL,NULL),(37,'m_status_summary','./img/icones/16x16/column.gif',202,20210,50,9,'./include/monitoring/status/monitoringService.php','&o=svcSumHG','0','0','1',NULL,NULL,NULL),(38,'m_status_grid','./img/icones/16x16/services_grid.gif',202,20211,30,10,'./include/monitoring/status/monitoringService.php','&o=svcgridSG','0','0','1',NULL,NULL,NULL),(39,'m_status_resume','./img/icones/16x16/table_view.gif',202,20212,30,10,'./include/monitoring/status/monitoringService.php','&o=svcOVSG','0','0','1',NULL,NULL,NULL),(40,'m_status_summary','./img/icones/16x16/column.gif',202,20213,30,10,'./include/monitoring/status/monitoringService.php','&o=svcSumSG','0','0','1',NULL,NULL,NULL),(41,'mon_problems',NULL,20203,2020301,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgrid&problem=1','0','0','1',NULL,NULL,NULL),(42,'mon_acknowloedge',NULL,20203,2020302,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgrid&acknowledge=1','0','0','1',NULL,NULL,NULL),(43,'mon_not_acknowloedge',NULL,20203,2020303,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgrid&acknowledge=0','0','0','1',NULL,NULL,NULL),(44,'mon_problems',NULL,20204,2020401,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOV&problem=1','0','0','1',NULL,NULL,NULL),(45,'mon_acknowloedge',NULL,20204,2020402,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOV&acknowledge=1','0','0','1',NULL,NULL,NULL),(46,'mon_not_acknowloedge',NULL,20204,2020403,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOV&acknowledge=0','0','0','1',NULL,NULL,NULL),(47,'mon_problems',NULL,20205,2020501,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSum&problem=1','0','0','1',NULL,NULL,NULL),(48,'mon_acknowloedge',NULL,20205,2020502,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSum&acknowledge=1','0','0','1',NULL,NULL,NULL),(49,'mon_not_acknowloedge',NULL,20205,2020502,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSum&acknowledge=0','0','0','1',NULL,NULL,NULL),(50,'mon_problems',NULL,20208,2020801,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridHG&problem=1','0','0','1',NULL,NULL,NULL),(51,'mon_acknowloedge',NULL,20208,2020802,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridHG&acknowledge=1','0','0','1',NULL,NULL,NULL),(52,'mon_not_acknowloedge',NULL,20208,2020803,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridHG&acknowledge=0','0','0','1',NULL,NULL,NULL),(53,'mon_problems',NULL,20209,2020901,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVHG&problem=1','0','0','1',NULL,NULL,NULL),(54,'mon_acknowloedge',NULL,20209,2020902,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVHG&acknowledge=1','0','0','1',NULL,NULL,NULL),(55,'mon_not_acknowloedge',NULL,20209,2020903,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVHG&acknowledge=0','0','0','1',NULL,NULL,NULL),(56,'mon_problems',NULL,20210,2021001,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumHG&problem=1','0','0','1',NULL,NULL,NULL),(57,'mon_acknowloedge',NULL,20210,2021002,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumHG&acknowledge=1','0','0','1',NULL,NULL,NULL),(58,'mon_not_acknowloedge',NULL,20210,2021002,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumHG&acknowledge=0','0','0','1',NULL,NULL,NULL),(59,'mon_problems',NULL,20211,2021101,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridSG&problem=1','0','0','1',NULL,NULL,NULL),(60,'mon_acknowloedge',NULL,20211,2021102,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridSG&acknowledge=1','0','0','1',NULL,NULL,NULL),(61,'mon_not_acknowloedge',NULL,20211,2021103,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcgridSG&acknowledge=0','0','0','1',NULL,NULL,NULL),(62,'mon_problems',NULL,20212,2021201,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVSG&problem=1','0','0','1',NULL,NULL,NULL),(63,'mon_acknowloedge',NULL,20212,2021202,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVSG&acknowledge=1','0','0','1',NULL,NULL,NULL),(64,'mon_not_acknowloedge',NULL,20212,2021203,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcOVSG&acknowledge=0','0','0','1',NULL,NULL,NULL),(65,'mon_problems',NULL,20213,2021301,10,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumSG&problem=1','0','0','1',NULL,NULL,NULL),(66,'mon_acknowloedge',NULL,20213,2021302,20,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumSG&acknowledge=1','0','0','1',NULL,NULL,NULL),(67,'mon_not_acknowloedge',NULL,20213,2021302,30,NULL,'./include/monitoring/status/monitoringService.php','&o=svcSumSG&acknowledge=0','0','0','1',NULL,NULL,NULL),(68,'m_event_log',NULL,2,203,30,31,'',NULL,'0','0','1',NULL,NULL,NULL),(69,'m_all_logs','./img/icones/16x16/index.gif',203,20301,60,31,'./include/monitoring/log/viewLog.php',NULL,'0','0','1',NULL,NULL,NULL),(70,'m_notify_logs','./img/icones/16x16/mail_attachment.gif',203,20302,70,31,'./include/monitoring/log/viewNotifyLog.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(71,'m_alerts_log','./img/icones/16x16/loudspeaker.gif',203,20303,80,31,'./include/monitoring/log/viewAlertLog.php',NULL,'0','0','1',NULL,NULL,NULL),(72,'m_warning_log','./img/icones/16x16/oszillograph.gif',203,20304,80,31,'./include/monitoring/log/viewWarnLog.php',NULL,'0','0','1',NULL,NULL,NULL),(73,'m_downtime','./img/icones/16x16/warning.gif',203,20305,90,34,'./include/monitoring/downtime.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(74,'m_comments','./img/icones/16x16/messages.gif',203,20306,90,34,'./include/monitoring/comments.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(75,'m_all_logs','./img/icones/16x16/index.gif',203,20311,10,30,'./include/monitoring/mysql_log/viewLog.php',NULL,NULL,NULL,'1',NULL,NULL,''),(76,'m_notify_logs','./img/icones/16x16/mail_attachment.gif',203,20312,20,30,'./include/monitoring/mysql_log/viewNotifications.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(77,'m_host',NULL,20312,2031201,10,30,'./include/monitoring/mysql_log/viewNotifications.php','&o=notif_host','0','0','1',NULL,NULL,NULL),(78,'m_service',NULL,20312,2031202,20,30,'./include/monitoring/mysql_log/viewNotifications.php','&o=notif_svc','0','0','1',NULL,NULL,NULL),(79,'m_alerts_log','./img/icones/16x16/scroll_warning.gif',203,20313,30,30,'./include/monitoring/mysql_log/viewAlerts.php',NULL,'0','0','1',NULL,NULL,NULL),(80,'m_host',NULL,20313,2031301,10,30,'./include/monitoring/mysql_log/viewAlerts.php','&o=alerts_host','0','0','1',NULL,NULL,NULL),(81,'m_service',NULL,20313,2031302,20,30,'./include/monitoring/mysql_log/viewAlerts.php','&o=alerts_svc','0','0','1',NULL,NULL,NULL),(82,'m_warning_log','./img/icones/16x16/scroll_delete.gif',203,20314,40,30,'./include/monitoring/mysql_log/viewErrors.php',NULL,'0','0','1',NULL,NULL,NULL),(83,'m_host',NULL,6,601,10,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(84,'m_service',NULL,6,602,20,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(85,'m_notification',NULL,6,603,30,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(86,'m_escalation',NULL,6,604,40,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(87,'m_dependencies',NULL,6,605,50,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(88,'m_nagios',NULL,6,607,70,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(89,'m_host','./img/icones/16x16/server_network.gif',601,60101,10,1,'./include/configuration/configObject/host/host.php',NULL,'0','0','1',NULL,NULL,NULL),(90,'m_hostgroup','./img/icones/16x16/clients.gif',601,60102,20,1,'./include/configuration/configObject/hostgroup/hostGroup.php',NULL,'0','0','1',NULL,NULL,NULL),(91,'m_host_template_model','./img/icones/16x16/server_client_ext.gif',601,60103,30,1,'./include/configuration/configObject/host_template_model/hostTemplateModel.php',NULL,'0','0','1',NULL,NULL,NULL),(92,'m_service',NULL,602,NULL,NULL,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(93,'m_serviceByHost','./img/icones/16x16/element_new_after.gif',602,60201,10,1,'./include/configuration/configObject/service/serviceByHost.php',NULL,'0','0','1',NULL,NULL,NULL),(94,'m_serviceByHostGroup','./img/icones/16x16/elements1.gif',602,60202,20,1,'./include/configuration/configObject/service/serviceByHostGroup.php',NULL,'0','0','1',NULL,NULL,NULL),(95,'m_servicegroup','./img/icones/16x16/branch_element.gif',602,60203,30,1,'./include/configuration/configObject/servicegroup/serviceGroup.php',NULL,'0','0','1',NULL,NULL,NULL),(96,'m_service_template_model','./img/icones/16x16/element_template.gif',602,60206,50,1,'./include/configuration/configObject/service_template_model/serviceTemplateModel.php',NULL,'0','0','1',NULL,NULL,NULL),(97,'m_meta_service',NULL,602,NULL,NULL,2,NULL,NULL,'0','0','1',NULL,NULL,NULL),(98,'m_meta_service','./img/icones/16x16/workstation2.gif',602,60204,40,2,'./include/configuration/configObject/meta_service/metaService.php',NULL,'0','0','1',NULL,NULL,NULL),(99,'m_traps_command',NULL,602,NULL,NULL,3,NULL,NULL,'0','0','1',NULL,NULL,NULL),(100,'m_traps_command','./img/icones/16x16/funnel_new.gif',602,60205,50,3,'./include/configuration/configObject/traps/traps.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(101,'m_mnftr','./img/icones/16x16/factory.gif',602,60207,60,3,'./include/configuration/configObject/traps-manufacturer/mnftr.php',NULL,'0','0','1',NULL,NULL,NULL),(102,'m_mibs','./img/icones/16x16/component_add.gif',602,60208,70,3,'./include/configuration/configObject/traps-mibs/mibs.php',NULL,'0','0','1',NULL,NULL,NULL),(103,'m_contact','./img/icones/16x16/user1.gif',603,60301,10,1,'./include/configuration/configObject/contact/contact.php',NULL,'0','0','1',NULL,NULL,NULL),(104,'m_contactgroup','./img/icones/16x16/users_family.gif',603,60302,20,1,'./include/configuration/configObject/contactgroup/contactGroup.php',NULL,'0','0','1',NULL,NULL,NULL),(105,'m_timeperiod','./img/icones/16x16/calendar.gif',603,60304,40,1,'./include/configuration/configObject/timeperiod/timeperiod.php',NULL,'0','0','1',NULL,NULL,NULL),(106,'m_commandNotif','./img/icones/16x16/gear.gif',603,60305,50,1,'./include/configuration/configObject/command/command.php','&type=1','0','0','1',NULL,NULL,NULL),(107,'m_gen_nagios','./img/icones/16x16/component_green.gif',607,60701,10,33,'./include/configuration/configGenerate/generateFiles.php',NULL,'0','0','1',NULL,NULL,NULL),(108,'m_load_nagios','./img/icones/16x16/component_add.gif',607,60702,20,33,'./include/configuration/configLoad/loadFiles.php',NULL,'0','0','1',NULL,NULL,NULL),(109,'m_nagiosCFG','./img/icones/16x16/text_code_colored.gif',607,60703,30,33,'./include/configuration/configNagios/nagios.php',NULL,'0','0','1',NULL,NULL,NULL),(110,'m_resource','./img/icones/16x16/text_code.gif',607,60704,40,33,'./include/configuration/configResources/resources.php',NULL,'0','0','1',NULL,NULL,NULL),(111,'m_cgi','./img/icones/16x16/text_code_c.gif',607,60707,55,33,'./include/configuration/configCGI/CGI.php',NULL,'0','0','1',NULL,NULL,NULL),(112,'m_perfparse','./img/icones/16x16/text_code_java2.gif',607,60705,50,34,'./include/configuration/configPerfparse/perfparse.php',NULL,'0','0','1',NULL,NULL,NULL),(113,'m_escalation','./img/icones/16x16/bookmark.gif',604,60401,10,1,'./include/configuration/configObject/escalation/escalation.php',NULL,'0','0','1',NULL,NULL,NULL),(114,'m_hostesc','./img/icones/16x16/bookmarks.gif',604,60402,20,1,'./include/configuration/configObject/escalation/escalation.php','&list=h','0','0','1',NULL,NULL,NULL),(115,'m_serviceesc','./img/icones/16x16/bookmarks.gif',604,60403,30,1,'./include/configuration/configObject/escalation/escalation.php','&list=sv','0','0','1',NULL,NULL,NULL),(116,'m_hostgroupesc','./img/icones/16x16/bookmarks.gif',604,60404,40,1,'./include/configuration/configObject/escalation/escalation.php','&list=hg','0','0','1',NULL,NULL,NULL),(117,'h','./img/icones/16x16/server_network.gif',605,60501,10,1,'./include/configuration/configObject/host_dependency/hostDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(118,'hg','./img/icones/16x16/clients.gif',605,60502,20,1,'./include/configuration/configObject/hostgroup_dependency/hostGroupDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(119,'sv','./img/icones/16x16/element_new_after.gif',605,60503,30,1,'./include/configuration/configObject/service_dependency/serviceDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(120,'sg','./img/icones/16x16/branch_element.gif',605,60504,40,1,'./include/configuration/configObject/servicegroup_dependency/serviceGroupDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(121,'m_metaserviceesc','./img/icones/16x16/bookmarks.gif',604,60405,50,1,'./include/configuration/configObject/escalation/escalation.php','&list=ms','0','0','1',NULL,NULL,NULL),(122,'ms','./img/icones/16x16/workstation2.gif',605,60505,50,1,'./include/configuration/configObject/metaservice_dependency/MetaServiceDependency.php',NULL,'0','0','1',NULL,NULL,NULL),(123,'m_commands',NULL,6,608,35,1,'./include/configuration/configObject/command/command.php','','0','0','1',NULL,NULL,NULL),(124,'m_commandCheck','./img/icones/16x16/gear_view.gif',608,60801,10,NULL,'./include/configuration/configObject/command/command.php','&type=2','0','0','1',NULL,NULL,NULL),(125,'m_commandNotif','./img/icones/16x16/gear_warning.gif',608,60802,20,NULL,'./include/configuration/configObject/command/command.php','&type=1','0','0','1',NULL,NULL,NULL),(126,'m_commandMisc','./img/icones/16x16/gear.gif',608,60803,30,NULL,'./include/configuration/configObject/command/command.php','&type=3','0','0','1',NULL,NULL,NULL),(127,'m_plugins','./img/icones/16x16/window_gear.gif',608,60804,40,NULL,'./include/configuration/configPlugins/Plugins.php',NULL,'0','0','1',NULL,NULL,NULL),(128,'m_opt_conf',NULL,5,501,10,1,'./include/options/oreon/myAccount/formMyAccount.php','&o=c','0','0','1',NULL,NULL,NULL),(129,'m_general','./img/icones/16x16/tool.gif',501,50101,10,1,'./include/options/oreon/generalOpt/generalOpt.php',NULL,'0','0','1',NULL,NULL,NULL),(130,'m_commandCheck','./img/icones/16x16/gear.gif',607,60706,60,33,'./include/configuration/configObject/command/command.php','&type=2','0','0','1',NULL,NULL,NULL),(131,'m_lang','./img/icones/16x16/about.gif',501,50102,20,1,'./include/options/oreon/language/lang.php',NULL,'0','0','1',NULL,NULL,NULL),(132,'m_modules','./img/icones/16x16/press.gif',501,50103,30,1,'./include/options/oreon/modules/modules.php',NULL,NULL,NULL,'1',NULL,NULL,NULL),(133,'m_acl',NULL,5,502,10,1,'./include/options/LCA/define/lca.php',NULL,'0','0','1',NULL,NULL,NULL),(134,'m_general','./img/icones/16x16/lock_new.gif',502,50201,10,1,'./include/options/LCA/define/lca.php',NULL,'0','0','1',NULL,NULL,NULL),(135,'m_db',NULL,5,503,10,1,'./include/options/db/extractDB/extractDB.php',NULL,'0','0','1',NULL,NULL,NULL),(136,'m_sessions',NULL,5,504,10,1,'./include/options/session/connected_user.php',NULL,'0','0','1',NULL,NULL,NULL),(137,'m_server_status',NULL,5,505,10,1,'./include/options/sysInfos/index.php',NULL,'0','0','1',NULL,NULL,NULL),(138,'m_about',NULL,506,NULL,NULL,80,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(139,'m_about',NULL,5,506,10,1,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(140,'m_about','./img/icones/16x16/about.gif',506,50601,10,80,'./include/options/about/about.php',NULL,'0','0','1',NULL,NULL,NULL),(141,'m_web','./img/icones/16x16/earth2.gif',506,50602,20,80,'http://www.oreon-project.org',NULL,'1','0','1',NULL,NULL,NULL),(142,'m_forum','./img/icones/16x16/book_yellow.gif',506,50602,30,80,'http://forum.oreon-project.org',NULL,'1','0','1',NULL,NULL,NULL),(143,'m_wiki','./img/icones/16x16/book_green.gif',506,50604,40,80,'http://wiki.oreon-project.org',NULL,'1','0','1',NULL,NULL,NULL),(144,'m_bug','./img/icones/16x16/trafficlight_on.gif',506,50605,50,80,'http://bugs.oreon-project.org',NULL,'1','0','1',NULL,NULL,NULL),(145,'m_donate','./img/icones/16x16/flower_white.gif',506,50606,60,80,'http://sourceforge.net/donate/index.php?group_id=140316',NULL,'1','0','1',NULL,NULL,NULL),(146,'m_pro','./img/icones/16x16/cd_gold.gif',506,50607,70,80,'http://www.oreon-services.com',NULL,'1','0','1',NULL,NULL,NULL),(147,'m_myAccount','./img/icones/16x16/user1_message.gif',501,50104,40,1,'./include/options/oreon/myAccount/formMyAccount.php','&o=c','0','0','1',NULL,NULL,NULL),(148,'m_opt_conf','./img/icones/16x16/nagios.gif',50101,5010101,10,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=general','0','0','1',NULL,NULL,NULL),(149,'menu_nagios','./img/icones/16x16/nagios.gif',50101,5010102,20,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=nagios','0','0','1',NULL,NULL,NULL),(150,'menu_colors','./img/icones/16x16/colors.gif',50101,5010103,30,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=colors','0','0','1',NULL,NULL,NULL),(151,'menu_snmp','./img/icones/16x16/nagios.gif',50101,5010104,40,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=snmp','0','0','1',NULL,NULL,NULL),(152,'menu_ldap','./img/icones/16x16/book_yellow.gif',50101,5010105,50,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=ldap','0','0','1',NULL,NULL,NULL),(153,'menu_rrdtool','./img/icones/16x16/column-chart.gif',50101,5010106,60,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=rrdtool','0','0','1',NULL,NULL,NULL),(154,'menu_debug','./img/icones/16x16/nagios.gif',50101,5010107,70,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=debug','0','0','1',NULL,NULL,NULL),(155,'genOpt_css','./img/icones/16x16/colors.gif',50101,5010109,90,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=css','0','0','1',NULL,NULL,NULL),(156,'menu_ODS','./img/icones/16x16/chart.gif',501,50106,60,1,'./include/options/oreon/generalOpt/generalOpt.php',NULL,'0','0','1',NULL,NULL,NULL),(157,'menu_ODS_config','./img/icones/16x16/nagios.gif',50106,5010601,10,1,'./include/options/oreon/generalOpt/generalOpt.php','&o=ods','0','0','1',NULL,NULL,NULL),(158,'menu_ODS_manage','./img/icones/16x16/data_down.gif',50106,5010602,20,1,'./include/options/ods/manageData.php',NULL,'0','0','1',NULL,NULL,NULL),(159,'m_dashboard',NULL,307,NULL,NULL,50,NULL,NULL,NULL,NULL,'1',NULL,NULL,NULL),(160,'m_dashboard',NULL,3,307,3,1,NULL,NULL,'0','0','1',NULL,NULL,NULL),(161,'m_dashboardHost','./img/icones/16x16/text_rich_marked.gif',307,30701,10,50,'./include/reporting/dashboard/viewHostLog.php',NULL,'0','0','1',NULL,NULL,NULL),(162,'m_dashboardService',NULL,307,30702,20,50,'./include/reporting/dashboard/viewServicesLog.php',NULL,'0','0','0',NULL,NULL,NULL),(163,'m_dashboardHostGroup','./img/icones/16x16/text_rich_colored.gif',307,30703,30,50,'./include/reporting/dashboard/viewHostGroupLog.php',NULL,'0','0','0',NULL,NULL,NULL),(164,'m_dashboardServiceGroup','./img/icones/16x16/text_rich_colored.gif',307,30704,40,50,'./include/reporting/dashboard/viewServicesGroupLog.php',NULL,'0','0','0',NULL,NULL,NULL),(165,'m_views_graphs',NULL,4,402,10,1,'',NULL,'0','0','1',NULL,NULL,NULL),(166,'views_title2',NULL,402,NULL,NULL,40,NULL,NULL,'0','0','1',NULL,NULL,NULL),(167,'m_host_graph','./img/icones/16x16/dot-chart.gif',402,40210,10,40,'./include/views/graphs/graphODS/summaryODS.php',NULL,'0','0','1',NULL,NULL,NULL),(168,'m_views_graphShow','./img/icones/16x16/column-chart.gif',402,40211,20,40,'./include/views/graphs/graphODS/graphODS.php',NULL,'0','0','1',NULL,NULL,NULL),(169,'views_title4',NULL,402,NULL,NULL,43,NULL,NULL,'0','0','1',NULL,NULL,NULL),(170,'m_views_graphTmp','./img/icones/16x16/layout_vertical.gif',402,40204,40,43,'./include/views/graphs/graphTemplates/graphTemplates.php',NULL,'0','0','1',NULL,NULL,NULL),(171,'m_views_compoTmp','./img/icones/16x16/layout_horizontal.gif',402,40205,50,43,'./include/views/graphs/componentTemplates/componentTemplates.php',NULL,'0','0','1',NULL,NULL,NULL),(172,'view_redirect_graph',NULL,402,40207,70,1,'./include/views/graphs/graphSummary/graphSummary.php',NULL,'0','0','0',NULL,NULL,NULL),(173,'m_idCards',NULL,NULL,7,45,1,'./include/inventory/inventory.php',NULL,'0','1','1',NULL,NULL,NULL),(174,'m_id_serv',NULL,7,701,10,1,NULL,'&o=s','0','1','1',NULL,NULL,NULL),(175,'m_id_serv',NULL,701,70101,10,1,'./include/inventory/inventory.php','&o=s','0','1','1',NULL,NULL,NULL),(176,'m_id_network',NULL,701,70102,20,1,'./include/inventory/inventory.php','&o=n','0','1','1',NULL,NULL,NULL),(177,'m_idUpdate',NULL,701,70103,40,1,'./include/inventory/inventory.php','&o=u',NULL,NULL,'1',NULL,NULL,NULL),(178,'m_patch','./img/icones/16x16/download.gif',501,50105,11,1,'./include/options/oreon/upGrade/checkVersion.php',NULL,'0','0','1',NULL,NULL,NULL),(179,'m_checkVersion','',50105,5010501,1,1,'./include/options/oreon/upGrade/checkVersion.php',NULL,'0','0','1',NULL,NULL,NULL),(180,'m_patchOptions','',50105,5010502,2,1,'./include/options/oreon/upGrade/patchOptions.php',NULL,'0','0','1',NULL,NULL,NULL),(181,'m_preUpdate','',50105,5010503,3,1,'./include/options/oreon/upGrade/preUpdate.php',NULL,'0','0','0',NULL,NULL,NULL),(185,'modPHW_m_img',NULL,404,NULL,NULL,1,NULL,NULL,'0','1','1',NULL,NULL,NULL),(186,'modPHW_m_img_list',NULL,404,40401,10,1,'./modules/php-weathermap/views/viewMaps.php',NULL,'0','1','1',NULL,NULL,NULL),(187,'modPWM_config_initial',NULL,404,NULL,NULL,2,NULL,NULL,'0','1','1',NULL,NULL,NULL),(188,'modPHW_m_conf',NULL,404,40411,10,2,'./modules/php-weathermap/configuration/pwm-editor/phpWeathermap.php',NULL,'0','1','1',NULL,NULL,NULL),(189,'modPWM_config_initial',NULL,40411,4041101,10,1,'#',NULL,'0','0','0',NULL,NULL,NULL),(190,'modPHW_m_add_node',NULL,40411,4041102,20,1,'#',NULL,'0','1','1',NULL,NULL,'add_node'),(191,'modPHW_m_add_link',NULL,40411,4041103,30,1,'#',NULL,'0','1','1',NULL,NULL,'add_link'),(192,'modPHW_m_map_properties',NULL,40411,4041104,40,1,'#',NULL,'0','1','1',NULL,NULL,'map_properties'),(193,'modPHW_m_map_style',NULL,40411,4041105,50,1,'#',NULL,'0','1','1',NULL,NULL,'map_style'),(194,'modPHW_m_position_legend',NULL,40411,4041106,60,1,'#',NULL,'0','1','1',NULL,NULL,'position_legend'),(195,'modPHW_m_position_timestamp',NULL,40411,4041107,70,1,'#',NULL,'0','1','1',NULL,NULL,'position_timestamp'),(196,'modPHW_m_img_generate',NULL,404,40412,20,2,'./modules/php-weathermap/configuration/pwm-editor/phpWeathermap.php','&o=g','0','1','1',NULL,NULL,NULL);
/*!40000 ALTER TABLE `topology` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `topology_JS`
--

DROP TABLE IF EXISTS `topology_JS`;
CREATE TABLE `topology_JS` (
  `id_t_js` int(11) NOT NULL auto_increment,
  `id_page` int(11) default NULL,
  `o` varchar(12) default NULL,
  `PathName_js` text,
  `Init` text,
  PRIMARY KEY  (`id_t_js`),
  KEY `id_page` (`id_page`),
  CONSTRAINT `topology_JS_ibfk_1` FOREIGN KEY (`id_page`) REFERENCES `topology` (`topology_page`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=122 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `topology_JS`
--

LOCK TABLES `topology_JS` WRITE;
/*!40000 ALTER TABLE `topology_JS` DISABLE KEYS */;
INSERT INTO `topology_JS` VALUES (1,2,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(2,20201,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(3,20202,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(4,202,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(5,2020101,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(6,2020201,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(7,2020202,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(8,2020203,NULL,'./include/common/javascript/ajaxMonitoring.js','initM'),(9,203,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(10,20302,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(11,20303,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(12,203,NULL,'./include/common/javascript/datePicker.js',''),(13,20311,NULL,'./include/common/javascript/datePicker.js',''),(14,20312,NULL,'./include/common/javascript/datePicker.js',''),(15,20313,NULL,'./include/common/javascript/datePicker.js',''),(16,20314,NULL,'./include/common/javascript/datePicker.js',''),(17,2031201,'notif_host','./include/common/javascript/datePicker.js',''),(18,2031202,'notif_svc','./include/common/javascript/datePicker.js',''),(19,2031301,'alerts_host','./include/common/javascript/datePicker.js',''),(20,2031302,'alerts_svc','./include/common/javascript/datePicker.js',''),(21,3,NULL,'./include/common/javascript/datePicker.js',''),(22,307,NULL,'./include/common/javascript/datePicker.js',''),(23,30701,NULL,'./include/common/javascript/datePicker.js',''),(24,30702,NULL,'./include/common/javascript/datePicker.js',''),(25,4,NULL,'./include/common/javascript/datePicker.js',''),(26,402,NULL,'./include/common/javascript/datePicker.js',''),(27,40210,NULL,'./include/common/javascript/datePicker.js',''),(28,40211,NULL,'./include/common/javascript/datePicker.js',''),(29,3,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(30,307,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(31,30701,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(32,30702,NULL,'./include/common/javascript/Timeline/src/main/webapp/api/timeline-api.js','initTimeline'),(33,40204,'c','./include/common/javascript/changetab.js','initChangeTab'),(34,40204,'w','./include/common/javascript/changetab.js','initChangeTab'),(35,40204,'a','./include/common/javascript/changetab.js','initChangeTab'),(36,40205,'c','./include/common/javascript/changetab.js','initChangeTab'),(37,40205,'w','./include/common/javascript/changetab.js','initChangeTab'),(38,40205,'a','./include/common/javascript/changetab.js','initChangeTab'),(39,20303,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(40,502,'a','./include/common/javascript/changetab.js','initChangeTab'),(41,502,'c','./include/common/javascript/changetab.js','initChangeTab'),(42,502,'w','./include/common/javascript/changetab.js','initChangeTab'),(43,50201,'a','./include/common/javascript/changetab.js','initChangeTab'),(44,50201,'c','./include/common/javascript/changetab.js','initChangeTab'),(45,50201,'w','./include/common/javascript/changetab.js','initChangeTab'),(46,50101,NULL,'./include/common/javascript/changetab.js','initChangeTab'),(47,602,'a','./include/common/javascript/autoSelectCommandExample.js',NULL),(48,602,'c','./include/common/javascript/autoSelectCommandExample.js',NULL),(49,602,'mc','./include/common/javascript/autoSelectCommandExample.js',NULL),(50,60201,'a','./include/common/javascript/autoSelectCommandExample.js',NULL),(51,60201,'c','./include/common/javascript/autoSelectCommandExample.js',NULL),(52,60201,'mc','./include/common/javascript/autoSelectCommandExample.js',NULL),(53,60202,'a','./include/common/javascript/autoSelectCommandExample.js',NULL),(54,60202,'c','./include/common/javascript/autoSelectCommandExample.js',NULL),(55,60202,'mc','./include/common/javascript/autoSelectCommandExample.js',NULL),(56,60206,'a','./include/common/javascript/autoSelectCommandExample.js',NULL),(57,60206,'c','./include/common/javascript/autoSelectCommandExample.js',NULL),(58,60206,'mc','./include/common/javascript/autoSelectCommandExample.js',NULL),(59,601,'a','./include/common/javascript/autoSelectCommandExample.js',NULL),(60,601,'c','./include/common/javascript/autoSelectCommandExample.js',NULL),(61,601,'mc','./include/common/javascript/autoSelectCommandExample.js',NULL),(62,60103,'a','./include/common/javascript/autoSelectCommandExample.js',NULL),(63,60103,'c','./include/common/javascript/autoSelectCommandExample.js',NULL),(64,60103,'mc','./include/common/javascript/autoSelectCommandExample.js',NULL),(65,6,'a','./include/common/javascript/autoSelectCommandExample.js',NULL),(66,6,'c','./include/common/javascript/autoSelectCommandExample.js',NULL),(67,6,'mc','./include/common/javascript/autoSelectCommandExample.js',NULL),(68,6,'a','./include/common/javascript/changetab.js','initChangeTab'),(69,6,'w','./include/common/javascript/changetab.js','initChangeTab'),(70,6,'c','./include/common/javascript/changetab.js','initChangeTab'),(71,6,'mc','./include/common/javascript/changetab.js','initChangeTab'),(72,601,'w','./include/common/javascript/changetab.js','initChangeTab'),(73,601,'c','./include/common/javascript/changetab.js','initChangeTab'),(74,601,'a','./include/common/javascript/changetab.js','initChangeTab'),(75,601,'mc','./include/common/javascript/changetab.js','initChangeTab'),(76,602,'w','./include/common/javascript/changetab.js','initChangeTab'),(77,602,'a','./include/common/javascript/changetab.js','initChangeTab'),(78,602,'c','./include/common/javascript/changetab.js','initChangeTab()'),(79,602,'mc','./include/common/javascript/changetab.js','initChangeTab()'),(80,604,'a','./include/common/javascript/changetab.js ','initChangeTab'),(81,604,'c','./include/common/javascript/changetab.js','initChangeTab'),(82,604,'w','./include/common/javascript/changetab.js','initChangeTab'),(83,604,'mc','./include/common/javascript/changetab.js','initChangeTab'),(84,60101,'c','./include/common/javascript/changetab.js','initChangeTab'),(85,60101,'w','./include/common/javascript/changetab.js','initChangeTab'),(86,60101,'a','./include/common/javascript/changetab.js','initChangeTab'),(87,60101,'mc','./include/common/javascript/changetab.js','initChangeTab'),(88,60103,'a','./include/common/javascript/changetab.js','initChangeTab'),(89,60103,'c','./include/common/javascript/changetab.js','initChangeTab'),(90,60103,'w','./include/common/javascript/changetab.js','initChangeTab'),(91,60103,'mc','./include/common/javascript/changetab.js','initChangeTab'),(92,60201,'a','./include/common/javascript/changetab.js','initChangeTab'),(93,60201,'w','./include/common/javascript/changetab.js','initChangeTab'),(94,60201,'c','./include/common/javascript/changetab.js','initChangeTab'),(95,60201,'mc','./include/common/javascript/changetab.js','initChangeTab'),(96,60202,'w','./include/common/javascript/changetab.js','initChangeTab'),(97,60202,'c','./include/common/javascript/changetab.js','initChangeTab'),(98,60202,'a','./include/common/javascript/changetab.js','initChangeTab'),(99,60202,'mc','./include/common/javascript/changetab.js','initChangeTab'),(100,60206,'a','./include/common/javascript/changetab.js','initChangeTab'),(101,60206,'c','./include/common/javascript/changetab.js','initChangeTab'),(102,60206,'w','./include/common/javascript/changetab.js','initChangeTab'),(103,60206,'mc','./include/common/javascript/changetab.js','initChangeTab'),(104,60401,'c','./include/common/javascript/changetab.js','initChangeTab'),(105,60401,'w','./include/common/javascript/changetab.js','initChangeTab'),(106,60401,'a','./include/common/javascript/changetab.js','initChangeTab'),(107,60402,'c','./include/common/javascript/changetab.js','initChangeTab'),(108,60402,'w','./include/common/javascript/changetab.js','initChangeTab'),(109,60402,'a','./include/common/javascript/changetab.js','initChangeTab'),(110,60403,'c','./include/common/javascript/changetab.js','initChangeTab'),(111,60403,'w','./include/common/javascript/changetab.js','initChangeTab'),(112,60403,'a','./include/common/javascript/changetab.js','initChangeTab'),(113,60404,'c','./include/common/javascript/changetab.js','initChangeTab'),(114,60404,'w','./include/common/javascript/changetab.js','initChangeTab'),(115,60404,'a','./include/common/javascript/changetab.js','initChangeTab'),(116,60405,'a','./include/common/javascript/changetab.js','initChangeTab'),(117,60405,'c','./include/common/javascript/changetab.js','initChangeTab'),(118,60503,'a','./include/common/javascript/changetab.js','initChangeTab'),(119,60503,'w','./include/common/javascript/changetab.js','initChangeTab'),(120,60503,'c','./include/common/javascript/changetab.js','initChangeTab'),(121,40411,NULL,'./modules/php-weathermap/configuration/pwm-editor/editor.js','initJS');
/*!40000 ALTER TABLE `topology_JS` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `traps`
--

DROP TABLE IF EXISTS `traps`;
CREATE TABLE `traps` (
  `traps_id` int(11) NOT NULL auto_increment,
  `traps_name` varchar(255) default NULL,
  `traps_oid` varchar(255) default NULL,
  `traps_args` varchar(255) default NULL,
  `traps_status` enum('-1','0','1','2','3') default NULL,
  `manufacturer_id` int(11) default NULL,
  `traps_comments` text,
  UNIQUE KEY `traps_name` (`traps_name`),
  KEY `traps_id` (`traps_id`),
  KEY `traps_ibfk_1` (`manufacturer_id`),
  CONSTRAINT `traps_ibfk_1` FOREIGN KEY (`manufacturer_id`) REFERENCES `traps_vendor` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `traps`
--

LOCK TABLES `traps` WRITE;
/*!40000 ALTER TABLE `traps` DISABLE KEYS */;
INSERT INTO `traps` VALUES (1,'linkDown','.1.3.6.1.6.3.1.1.5.3','Link down on interface $2. State: $4.','2',7,'A linkDown(2) trap signifies that the sending protocol entity recognizes a failure in one of the communication links represented in the agent&#039;s configuration.'),(2,'linkUp','.1.3.6.1.6.3.1.1.5.4','Link up on interface $2. State: $4.','0',7,'A linkUp(3) trap signifies that the sending protocol entity recognizes that one of the communication links represented in the agent&#039;s configuration has come up.'),(3,'warmStart','.1.3.6.1.6.3.1.1.5.2','SNMP is reinitializing','0',7,'A warmStart(1) trap signifies that the sending protocol entity is reinitializing itself such that neither the agent configuration nor the protocol entity implementation is altered.'),(4,'coldStart','.1.3.6.1.6.3.1.1.5.1','SNMP is restarting','1',7,'A coldStart(0) trap signifies that the sending protocol entity is reinitializing itself such that the agent&#039;s configuration or the protocol entity implementation may be altered.');
/*!40000 ALTER TABLE `traps` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `traps_service_relation`
--

DROP TABLE IF EXISTS `traps_service_relation`;
CREATE TABLE `traps_service_relation` (
  `tsr_id` int(11) NOT NULL auto_increment,
  `traps_id` int(11) default NULL,
  `service_id` int(11) default NULL,
  PRIMARY KEY  (`tsr_id`),
  KEY `service_index` (`service_id`),
  KEY `traps_index` (`traps_id`),
  CONSTRAINT `traps_service_relation_ibfk_2` FOREIGN KEY (`service_id`) REFERENCES `service` (`service_id`) ON DELETE CASCADE,
  CONSTRAINT `traps_service_relation_ibfk_3` FOREIGN KEY (`traps_id`) REFERENCES `traps` (`traps_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `traps_service_relation`
--

LOCK TABLES `traps_service_relation` WRITE;
/*!40000 ALTER TABLE `traps_service_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `traps_service_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `traps_vendor`
--

DROP TABLE IF EXISTS `traps_vendor`;
CREATE TABLE `traps_vendor` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(254) default NULL,
  `alias` varchar(254) default NULL,
  `description` text,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `traps_vendor`
--

LOCK TABLES `traps_vendor` WRITE;
/*!40000 ALTER TABLE `traps_vendor` DISABLE KEYS */;
INSERT INTO `traps_vendor` VALUES (1,'cisco','Cisco Networks',NULL),(2,'hp','HP Networks',NULL),(3,'3com','3Com',NULL),(4,'ciscolinksys','Cisco-Linksys',NULL),(6,'dell','Dell',NULL),(7,'Generic','Generic','References Generic Traps');
/*!40000 ALTER TABLE `traps_vendor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_access`
--

DROP TABLE IF EXISTS `user_access`;
CREATE TABLE `user_access` (
  `username` varchar(32) default NULL,
  `actionname` varchar(32) default NULL,
  `access` enum('TRUE','FALSE') default NULL,
  KEY `user_action` (`username`,`actionname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `user_access`
--

LOCK TABLES `user_access` WRITE;
/*!40000 ALTER TABLE `user_access` DISABLE KEYS */;
INSERT INTO `user_access` VALUES ('admin','add_user','TRUE'),('admin','edit_user','TRUE'),('admin','reload_cache','TRUE'),('admin','edit_acl','TRUE'),('admin','add_server','TRUE'),('admin','chg_auth','TRUE'),('admin','del_server','TRUE');
/*!40000 ALTER TABLE `user_access` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `username` varchar(32) NOT NULL default '',
  `pwhash` char(40) default NULL,
  `sessionid` char(32) default NULL,
  `exptime` datetime default NULL,
  PRIMARY KEY  (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2008-09-01 11:52:24
